package adventofcode.y2017

import adventofcode.infiniteInts
import adventofcode.match
import adventofcode.shift
import adventofcode.swap

fun main(args: Array<String>) {
    println(Day16.part1(Day16.input, "abcdefghijklmnop"))
    println(Day16.part2(Day16.input, "abcdefghijklmnop", 1_000_000_000))
}

object Day16 {
    fun part1(input: List<Move>, programs: String): String {
        return dance(programs, input)
    }

    fun part2(input: List<Move>, programs: String, dances: Int): String {
        var seen = listOf(programs)
        for (i in infiniteInts()) {
            val next = dance(seen.last(), input)
            if (next in seen) {
                return seen[dances % (i + 1)]
            }
            seen += next
        }
        throw IllegalStateException()
    }

    fun dance(programs: String, moves: List<Move>): String {
        return moves.fold(programs) { p, move -> move.apply(p) }
    }

    val input by lazy { parse(rawInput) }

    abstract class Move {
        abstract fun apply(programs: String): String
    }
    data class Spin(val size: Int) : Move() {
        override fun apply(programs: String) = programs shift size
    }
    data class Exchange(val a: Int, val b: Int) : Move() {
        override fun apply(programs: String) = programs.swap(a, b)
    }
    data class Partner(val a: Char, val b: Char) : Move() {
        override fun apply(programs: String) = programs.swap(programs.indexOf(a), programs.indexOf(b))
    }

    val SPIN = Regex("""s(\d+)""")
    val EXCHANGE = Regex("""x(\d+)/(\d+)""")
    val PARTNER = Regex("""p(\w)/(\w)""")
    fun parse(rawInput: String) = rawInput.split(",")
        .map { it.match<Move>(
            SPIN to { (_, size) -> Spin(size.toInt()) },
            EXCHANGE to { (_, a, b) -> Exchange(a.toInt(), b.toInt()) },
            PARTNER to { (_, a, b) -> Partner(a[0], b[0]) }
        ) }

    private val rawInput: String = """
pa/c,x7/9,s5,x15/8,pn/j,x0/12,pm/e,x13/15,s12,x4/3,pl/i,x8/10,s15,pe/a,x15/0,pl/f,x13/6,pb/i,x7/12,s9,x14/0,s5,x5/11,pk/f,x10/12,s13,x4/0,s15,x7/11,ph/p,x3/4,pj/b,s11,pn/l,x11/13,pe/k,s14,x15/5,pc/m,x10/4,s8,pe/b,x7/11,s10,x15/8,pm/c,x12/1,s13,x2/13,pb/d,s1,pa/m,x0/15,s13,x14/11,s10,x13/5,s12,x15/3,pn/g,x9/1,pi/p,x7/5,s2,x14/10,pb/a,x5/8,s15,x6/7,s6,x14/4,s13,x15/13,pj/h,s1,x11/4,s7,x7/3,s11,pi/k,x11/8,pl/c,x12/9,s12,x8/0,pk/a,x5/12,s5,x3/6,s15,x9/10,s11,x1/7,pn/h,x12/8,pi/o,x2/3,pp/m,s7,x1/12,s11,x3/6,s11,x0/9,pj/e,x15/8,pn/g,x12/4,s9,ph/i,x7/0,s15,x3/5,pn/e,x9/12,pd/f,x8/15,s9,x13/4,s9,x10/2,s14,x3/12,ph/m,x6/10,pi/c,x2/13,s2,x1/4,s15,x0/14,pg/h,x13/10,s8,x12/4,pn/a,x1/7,s3,x2/5,pk/m,s2,x14/15,pc/o,x5/13,pk/p,x15/3,s11,x2/1,pb/m,x7/0,s11,x14/10,s12,x8/15,s12,x7/10,pc/g,x13/6,pk/f,x10/3,pe/n,x14/4,s10,x9/12,s1,x4/13,pp/g,x11/10,s9,x0/15,pa/b,x4/2,s1,x5/11,ph/i,x2/12,s1,x5/13,pe/j,x0/15,s14,x3/10,s13,x12/11,s13,x2/0,s2,x12/7,s9,x5/13,s2,x8/2,s12,x3/5,s14,x8/6,pb/d,s1,x0/5,s13,x14/8,s12,x10/15,s8,x5/2,s11,x12/4,pe/j,x1/14,s13,x9/15,s5,x13/8,pl/c,x6/12,pm/n,s10,x1/11,pj/b,x15/2,pf/d,x10/7,s8,x5/0,s9,x8/13,s15,x11/0,ph/c,x13/6,s3,x10/15,s4,pf/o,x11/0,pa/b,x9/13,s10,pg/o,x12/15,s6,x1/14,pn/m,x2/15,pk/l,x14/1,ph/b,s11,pa/f,s2,x4/8,pe/g,x2/9,s7,pd/b,x13/7,pn/c,x15/2,pe/f,s1,x13/7,pn/k,x4/14,s1,x13/8,ph/e,x6/14,pp/i,x0/15,s2,x13/1,pf/g,s14,x15/8,s10,x11/6,pk/a,x2/5,s13,x10/8,s11,x7/0,pc/p,x3/14,s4,x4/9,s2,x0/3,pm/e,x8/15,pl/b,x11/6,s1,x8/3,pj/o,x9/0,pl/g,x15/6,ph/d,x13/14,s1,x11/9,pj/a,x13/7,s7,x12/10,s7,x8/0,pi/d,x6/12,s1,x5/15,ph/a,x4/11,s14,pj/o,x12/7,pg/n,x6/2,s6,x13/11,s14,pf/j,x2/1,s9,x9/12,s14,x3/13,s10,x1/8,s11,x4/10,pn/c,x5/9,pp/o,x13/11,s3,x9/5,pc/n,x6/12,s7,x11/8,s3,po/a,x4/9,s8,x13/12,pd/l,x0/15,s14,x8/4,s4,x0/7,pc/k,x10/3,s6,x12/4,s13,pb/l,x14/0,pg/c,x6/8,s9,x4/13,s11,x12/10,pa/p,x2/13,s1,x3/8,s15,x1/9,s10,x2/3,s5,pj/l,x12/8,s2,po/k,x15/9,s2,x6/0,pn/h,x13/2,s1,x10/3,pi/j,x5/0,pb/a,s7,x13/1,s1,x2/8,pe/k,x3/10,pj/d,x13/4,po/l,s2,pp/n,x0/15,s7,x10/13,s5,x11/8,pm/e,x5/7,pa/o,x11/1,s13,x14/0,s2,x4/6,pl/m,x10/0,s9,x1/4,s7,x10/14,s9,x2/5,pa/n,x11/14,pj/h,x4/10,pb/a,x11/15,ph/m,x9/3,s6,x1/2,s11,pg/a,x8/11,s14,x10/6,s11,x13/2,pb/n,s5,x7/8,pf/i,x12/3,s7,x11/14,s3,pc/b,x9/6,pi/j,x5/7,s14,x6/9,s9,x0/1,pl/b,x6/3,s11,x4/7,pj/e,x11/2,s13,x13/0,s9,x11/14,s10,x12/3,s13,x8/0,pa/l,x4/1,pm/b,s15,x15/10,s8,x11/4,pd/p,x6/7,s9,x13/1,s1,x5/6,pj/c,x4/3,pp/g,x0/10,pk/a,x8/2,pf/n,s2,x6/3,pj/g,x8/0,s10,x4/14,s1,x3/12,s14,x15/4,pb/a,x13/2,s1,x12/15,pe/k,x3/7,s8,x8/1,s7,x10/12,s12,x15/1,pa/f,s9,x2/5,s1,x10/12,ph/m,x1/15,s1,pc/i,x8/7,pd/m,s9,x13/5,s13,x12/0,s4,x15/6,pa/e,x14/3,s2,x11/0,s12,pk/n,x13/15,ph/c,x11/10,pi/a,x14/9,po/f,s10,x6/8,pi/g,x10/0,s3,x7/11,pa/m,x8/3,s8,x6/4,pf/k,x13/9,pg/j,s11,x6/12,pd/e,x7/15,s15,x1/12,pf/a,x4/13,ph/o,s7,x9/7,s4,x1/11,s6,x8/2,s1,x6/15,s9,pd/l,x11/12,s6,x2/4,s12,x7/0,pg/e,s2,x4/15,pm/i,x9/5,pc/f,x0/2,pi/g,x12/5,pp/d,x7/10,s14,x2/0,ph/b,x12/6,s11,x2/5,s4,x3/10,s11,x8/7,s4,x13/3,s9,x10/8,s2,x15/7,pd/k,x14/11,pe/m,x15/4,pb/j,x6/3,pd/l,x12/5,pp/e,x0/3,pj/o,x14/15,pf/d,x6/5,pl/e,x9/4,s7,x3/11,s10,x15/6,pa/c,s5,x13/11,s9,x4/3,pg/h,s11,x9/13,s7,x15/11,pp/f,x14/3,pd/c,s15,x9/0,pk/b,x15/14,s11,x11/8,pe/g,s5,pm/n,x13/1,pe/p,s2,x3/4,pn/k,x14/12,s10,x3/7,po/f,x11/4,ph/p,x7/12,pm/f,x11/2,s5,x13/7,s13,x14/2,pd/o,x1/7,s11,x14/6,pa/e,s7,x10/2,s8,x0/12,pf/b,x6/8,s1,pc/i,x14/10,s4,x13/2,pm/f,s5,x10/1,pe/c,x8/11,s9,x12/13,s3,pp/b,s12,x3/6,s3,x12/13,s12,x15/0,s7,x1/12,po/f,x2/15,pb/j,x8/0,s3,x12/10,pm/a,x7/4,ph/f,x15/6,pn/d,x13/8,pl/p,x1/5,s1,x8/10,pa/n,x1/7,s11,x0/11,pj/l,x14/12,s5,x7/0,pd/m,x2/6,s10,x11/10,pj/c,s14,pe/a,x8/4,s12,x5/10,s7,x11/15,s9,x2/12,pd/f,x14/5,pm/b,x3/15,pp/f,x14/13,pb/h,s4,pc/o,x8/15,pp/e,x9/13,s10,x2/14,s4,x10/0,s13,x12/2,s4,x5/11,s2,pj/b,x10/1,ph/m,x11/5,pb/n,x15/14,s15,x0/5,pp/f,x14/6,s6,x1/12,s9,x15/13,pg/m,x0/12,s15,ph/b,s9,pe/n,x3/8,s1,x6/14,s15,x1/3,s1,x0/14,pf/b,x9/13,s13,x3/6,s10,x14/12,pd/k,x6/10,pp/i,s4,x13/1,s11,x12/15,s9,x7/3,pn/b,x10/5,pp/f,x0/12,s13,x8/6,pl/n,x15/11,s8,pj/i,x3/10,s7,x2/0,pg/o,x1/6,pa/i,x2/4,pm/o,x12/13,pa/c,s6,x14/10,ph/l,x8/3,pe/g,x4/9,s3,x11/8,s2,x15/14,s8,x6/10,pi/p,x2/3,s14,x11/15,s2,x10/4,pa/e,x14/12,pl/h,s3,x3/11,pc/g,x2/8,s9,x1/3,s8,x4/10,s7,x8/3,s14,x10/5,s4,x9/3,pk/d,x4/7,s4,x15/12,pf/o,x7/1,s1,x9/5,s9,x10/11,s12,x14/2,s7,x6/15,s3,x10/7,s9,x11/0,pk/j,x2/10,pn/a,x9/14,pp/f,s2,x6/7,pi/m,x4/13,pc/j,x1/6,pn/p,x7/8,s6,x5/9,pc/h,x2/14,s9,x15/11,pd/k,x5/6,s8,x11/0,s14,x10/6,pg/e,x0/8,pk/j,s3,x15/7,pp/b,x2/4,s5,pg/a,x1/15,s14,x10/6,pk/c,x13/8,s13,x6/0,s11,x10/7,pp/b,x12/0,s12,x5/11,pf/o,x12/1,s11,x8/7,s14,x6/11,s6,x7/0,s8,x3/2,pk/d,x1/14,pg/a,x4/2,pj/h,s8,x1/9,pb/l,x8/2,pa/k,x7/14,pd/l,s10,x15/13,pg/n,s14,x7/4,s10,x0/13,s14,x7/11,s5,pj/p,x4/3,s2,pm/c,x0/10,pk/h,x8/12,s2,x0/3,s13,x14/9,pn/m,x2/7,pk/g,x11/6,s5,x14/0,s2,pp/b,x15/7,s2,pc/l,x2/13,s1,x9/10,pj/p,s13,x11/15,pg/l,s11,x8/7,s15,x1/9,ph/m,x2/0,pn/g,x1/4,s14,x10/11,s5,x12/9,pp/i,x15/1,s13,x3/0,pn/f,x12/10,s10,x1/4,pp/d,x12/8,pf/o,s3,x9/13,pp/h,s11,x10/12,pj/o,x8/4,s11,x9/11,pf/a,x4/1,s1,x12/5,ph/o,x8/9,s13,pg/m,x6/5,s11,x2/14,s11,x8/7,s10,x11/2,s13,x9/6,s8,x11/8,s9,ph/j,x10/2,s10,x15/5,s2,x0/8,s12,x3/5,s4,x13/1,s12,x12/2,s5,x9/7,s7,x1/0,s8,pn/e,s8,x13/9,pl/a,x11/12,s15,x4/1,ph/i,x12/5,pl/b,x0/7,pi/m,x13/14,s12,x9/7,s7,x6/2,po/j,x12/10,s5,pp/f,x0/1,pb/l,x14/5,pf/d,x9/0,s13,x6/7,pp/j,x3/4,s9,pd/k,x13/0,s5,x15/4,pf/i,x14/7,pb/a,x10/13,s7,x1/15,pf/d,x7/6,pb/m,x13/8,pg/e,x14/4,pl/o,x2/1,pe/j,x11/4,s8,x13/7,s8,x2/0,pp/b,x11/9,s3,pc/e,x3/8,s13,x14/4,s8,x3/11,s14,x12/4,s6,pi/m,x6/10,pj/k,x9/1,s13,x6/15,s4,x8/2,s7,x15/9,s14,x1/14,s14,x10/0,pd/a,x7/6,s12,x15/2,pg/i,s15,x6/4,s3,x2/3,pl/f,x6/10,pg/c,x11/1,po/n,s15,ph/a,s11,x2/7,pp/j,x5/3,pb/d,s13,x9/15,pn/p,x12/1,s12,x3/13,pb/e,x8/6,s5,x10/7,s10,x2/6,pj/c,x3/10,s7,pp/n,x5/14,s9,x4/10,s1,x3/15,s9,x4/8,pi/j,x12/2,s8,x7/1,s15,x9/14,s7,x4/6,s1,x5/13,po/p,x10/6,s12,x5/1,pn/h,x13/12,s13,x1/0,s1,x5/6,s4,x7/3,s9,x1/0,s5,x4/6,pl/j,x9/2,pn/p,x3/15,pe/h,x4/12,pd/n,x10/9,pb/h,x1/14,pd/i,x2/10,po/f,x7/13,s8,pn/c,x11/0,s1,x14/7,s9,x13/5,s13,x2/15,s14,x4/14,pb/h,x5/8,pj/c,x12/1,s15,x0/7,s7,x6/14,pm/a,x5/8,pi/k,x15/13,s6,x11/10,pd/c,x2/5,pp/b,x0/6,s14,x5/12,pj/h,x6/0,pk/c,x9/13,s3,x11/6,s4,x15/8,s2,x4/0,s13,x3/11,s11,x1/9,s15,x2/13,pf/h,x6/12,pj/i,x5/10,pn/c,x4/12,pa/p,x6/0,pb/n,x14/7,pa/g,x13/6,s6,x8/14,pn/d,x0/11,s12,x9/14,s9,x6/4,s10,x13/14,s8,x5/10,s5,pe/j,x14/8,s4,x15/10,s12,x9/14,s3,x13/10,s4,pp/f,s14,x2/3,s15,x10/1,s7,x7/4,pa/d,x9/12,s14,x1/11,s6,x4/8,s10,x3/0,s15,x14/6,ph/n,x7/1,pp/o,x5/0,pg/j,x10/15,s3,x7/11,s2,x2/1,s6,x14/8,pk/f,x4/9,s15,x2/8,s3,x12/13,pi/a,x5/7,s7,x6/10,s15,x1/0,pd/m,x6/4,s11,x5/7,s4,pa/n,x2/14,s15,pc/f,x1/12,pi/p,x15/10,s8,x7/12,pa/h,x1/6,s11,x5/10,s12,x8/1,s12,x4/7,s5,x1/9,pp/f,x8/4,s7,x14/0,s15,x6/3,s5,x4/2,pd/n,x6/9,s9,x15/11,s4,x8/3,s7,x14/1,pk/m,x9/2,s2,pd/a,x3/7,s5,x15/14,pk/o,x0/6,s8,x4/14,s1,x8/12,s10,x0/15,pm/p,x7/12,s9,x0/10,pb/a,x12/8,pp/f,x4/2,s6,pi/l,x13/5,s15,x10/7,s10,x0/13,pc/n,x7/9,s3,x4/15,pp/g,s5,x3/6,s10,x0/11,pd/j,x15/5,s1,x0/14,s4,x10/3,s1,x11/7,s10,x15/13,s1,pm/c,x10/2,s13,x13/4,s7,x5/15,pd/n,x2/9,pp/k,x15/14,s5,x4/12,s9,x7/6,s5,x0/14,s6,x8/2,pi/o,s9,pn/k,x10/6,pp/g,x2/3,s1,pi/b,x4/14,s4,x7/0,s15,x13/10,s4,x4/7,s13,x9/15,s13,x13/7,ph/k,s12,x5/4,pe/g,x2/12,po/d,x8/1,s1,x6/12,pp/n,x13/7,s3,x4/14,pb/g,x0/5,pa/p,x4/6,s9,x5/12,s4,x13/3,s4,x11/15,s7,x2/4,pi/f,x15/13,pm/o,s3,x5/11,pa/p,x6/7,s9,x1/13,s9,x8/7,s13,x2/15,s15,x5/9,pg/m,x1/0,s14,x9/10,s12,x3/4,pi/d,x9/0,pm/j,x2/1,pn/g,x15/12,s5,x8/0,pk/i,s11,pf/n,x12/1,pp/l,s3,x10/6,s12,x3/14,s7,x7/8,s12,x11/13,s2,x0/7,s6,pj/m,x14/2,s14,x11/1,s11,x5/8,s15,x1/15,s6,x11/0,pp/l,x13/3,s13,pa/b,s9,x6/2,s4,x12/5,s3,x10/2,pe/g,x5/12,pm/j,x6/13,s10,x12/2,s12,x3/1,s11,x0/4,pi/n,s9,x1/3,s6,pl/p,x8/4,s5,x12/14,s2,x2/10,pi/k,x6/5,s12,x8/15,s13,x7/5,s6,x15/8,s13,x1/2,pp/b,x0/8,pg/i,s12,x6/14,s14,x9/5,pf/c,x0/6,s10,x7/15,s10,x8/1,pd/b,x3/6,s10,x15/8,pm/n,x1/7,pg/h,x0/8,s6,x13/4,pf/j,s1,x10/9,s15,pa/d,x14/3,pc/o,x11/12,ph/d,x6/14,s10,x12/4,s10,x8/2,s13,x13/3,s12,x15/7,s9,x13/12,s4,x5/1,s4,x6/2,pg/o,x9/3,pp/f,x14/4,s4,x6/0,s14,x5/14,s15,x3/6,s2,pl/k,x4/1,s2,pc/e,x10/8,ph/k,x14/2,pl/b,x3/6,po/i,s15,x10/4,s11,x1/0,pe/j,x13/11,pi/o,x0/12,pk/e,x14/1,pg/i,x5/0,s7,x14/7,s11,x11/9,s11,x0/4,s5,x1/11,s8,x9/13,pj/p,x10/0,pf/g,x7/6,s6,x2/1,s11,x11/3,pd/h,s5,x7/15,s3,pe/c,s7,x1/12,pa/n,x4/3,pj/b,x13/8,ph/o,x10/5,s14,x15/12,pc/d,x6/13,pg/o,x7/9,s9,x12/15,s13,pm/k,x11/5,pf/o,x10/0,s2,x12/14,s14,x10/4,s9,x2/11,pm/b,x6/7,s9,x14/1,s5,x8/15,pe/j,x0/1,s6,x10/12,s11,x2/14,s1,x12/3,s12,x13/8,s2,x9/5,pn/c,x10/6,s14,x4/13,pp/g,x15/3,s12,x11/14,po/b,x9/7,pi/a,x8/2,pj/o,x11/4,pg/i,x8/14,s14,x10/15,s10,x1/7,pd/j,x6/8,pf/h,x5/13,s2,x7/12,s11,x5/2,pp/i,s8,x9/14,pa/h,x6/4,pj/e,x12/5,s5,pl/h,x4/0,s9,x12/1,pj/p,x11/4,pf/b,x14/0,s5,po/m,s15,x2/1,s2,x10/3,s6,x1/9,s5,x15/7,s3,x0/6,s6,x12/8,s8,x10/1,s13,x3/9,s9,x4/11,s9,x5/0,s11,x13/6,s4,pe/p,x9/15,pc/d,x11/12,pe/p,x10/4,pm/g,x8/14,pp/f,x15/1,pk/b,x0/6,ph/j,s14,x3/10,s2,pi/f,x13/11,s1,x5/0,s13,x9/8,s11,pa/p,x12/7,pj/o,x10/14,s10,pp/g,x11/8,s13,x2/10,pm/j,x14/1,s10,x11/9,s3,x5/14,pn/a,x11/15,po/e,x1/12,s6,x4/10,pc/k,s4,x0/13,s7,x8/10,s9,pa/n,x4/5,s2,x15/10,pf/d,x0/5,s6,x13/10,pa/c,x5/0,s1,x2/12,s11,x11/7,s6,pk/p,x4/6,pf/l,x12/15,s7,x8/0,s6,x10/11,ph/j,x9/1,s11,x8/11,s7,x4/12,pk/m,x10/6,s1,ph/o,s7,x4/1,pd/k,x2/6,pc/f,s15,x8/13,s12,x5/11,s5,x10/0,s1,x11/5,s8,x0/1,s15,x13/4,s6,x11/7,pd/g,x0/6,s3,x12/13,pn/o,x9/7,s15,x4/15,s6,pg/h,x9/14,pm/c,x12/0,pp/a,s8,x11/1,s10,x0/15,s3,pb/n,x5/7,s12,x3/13,po/h,x1/6,pb/e,x8/7,po/k,s13,pa/l,x6/2,pd/c,x5/8,pp/h,x2/7,s4,x11/0,s8,pb/m,x13/4,pg/f,x5/8,s9,x7/10,pa/i,x8/12,s3,x15/10,s8,x1/11,pm/f,s6,pd/k,x3/8,s15,x11/10,s13,x4/6,s10,x14/5,pc/h,x12/10,s14,pi/l,x6/13,pk/j,x11/10,s5,x3/4,s2,x8/0,s6,x6/14,s12,x13/12,s14,x5/6,s15,x8/7,pb/l,x11/13,pj/k,x12/7,s5,x4/10,s8,x5/15,pi/n,x3/4,pb/e,x9/11,pm/c,x13/10,s13,x15/9,s8,x8/4,pl/h,x12/10,s11,pb/g,x1/3,pl/n,x14/4,s15,pi/k,x7/1,pj/b,x10/15,s10,x5/14,ph/l,x6/13,s7,x12/7,pn/c,x6/4,s11,x10/1,pe/a,s11,x11/15,pg/p,x9/12,s3,x10/14,pa/b,x2/1,pd/g,x15/4,pa/e,x0/10,pd/p,x5/7,pl/m,x12/13,s2,x4/14,pp/k,x5/13,s7,pj/f,s7,x8/2,s3,x1/0,pe/k,x15/3,s8,x7/0,pp/j,x1/11,pi/m,x13/12,s14,x3/0,pf/h,x14/10,s1,x2/9,s15,pl/p,s3,x0/4,s5,x8/3,pd/i,x6/1,pc/j,x7/3,s6,x2/0,s7,pm/k,x8/12,pf/g,x5/6,s6,x14/8,po/b,x5/3,s9,x15/7,pp/d,x14/9,pb/k,s6,pa/o,x2/7,s1,x4/6,pp/k,x2/12,pc/g,x10/6,s15,x15/8,s1,x1/6,pb/p,x11/13,s14,x9/1,s7,x13/6,s9,x14/11,s14,x6/13,s5,x9/11,pg/n,x3/0,pf/a,x7/5,s5,pe/k,x15/4,pd/a,x5/7,pi/j,x11/6,pm/d,x12/7,pp/k,x5/4,pg/c,x2/10,pm/o,x14/9,s12,x15/5,s5,x2/14,pg/k,x11/8,po/l,s13,pk/j,x14/6,s9,x2/0,s9,x7/15,s8,x11/14,pa/b,x3/15,s11,x10/14,pp/h,x4/2,s9,x11/7,s2,x13/2,s6,x5/10,s13,x8/11,s14,x7/3,pf/j,x4/10,s6,x9/12,s5,x6/11,s6,x9/5,po/p,x6/12,s10,pg/k,x8/4,s3,x11/14,s11,x2/4,s2,x7/11,s11,x5/4,s4,x3/10,s15,x12/1,s3,x6/14,s2,x0/11,pe/o,x6/1,pj/b,x5/4,po/n,x9/0,pe/l,x2/5,s7,pi/f,x11/12,pd/j,x1/0,s6,pe/h,s11,x5/7,po/c,x6/13,s1,x7/2,pd/e,x1/5,s2,x7/6,pk/j,x1/14,s2,x9/12,s6,x2/11,s11,x1/8,s4,x4/14,pg/a,x9/10,pm/p,x6/12,s15,x9/10,s12,x3/0,s11,x13/10,s11,x12/0,s11,ph/g,x15/6,s4,x0/8,pj/c,x3/9,pd/k,x8/0,s10,x11/6,s13,x13/4,s3,x0/1,pb/f,x4/7,pa/l,x13/5,po/h,x3/11,s7,x10/12,pf/m,x0/1,s8,pb/o,x11/10,s2,x8/0,pc/n,x12/3,s1,x0/14,pb/h,x7/5,pd/o,x14/0,pa/n,x9/7,pi/b,x10/12,pj/f,x8/13,s3,x11/9,ph/g,x3/0,pj/c,x15/4,pe/f,x8/10,s2,x4/13,s11,x11/0,s1,x3/1,s4,x5/15,s14,x2/14,pm/a,x7/11,s1,x1/12,s7,x0/11,s6,x6/5,pp/g,x15/8,pm/f,x11/10,s1,ph/b,s3,x3/15,po/n,s11,x5/13,pb/g,x8/2,s7,x15/14,s6,x0/3,ph/p,x9/15,s11,x0/13,s5,x9/8,pg/a,s3,x7/3,pm/o,s1,x6/2,s4,x5/15,s2,x7/11,s8,x4/0,s6,x14/3,pb/c,x12/13,pp/a,x7/11,s14,x5/3,pc/l,x10/8,pm/n,x13/3,pi/g,x5/4,s6,x3/13,s14,x8/7,s6,x14/3,pd/j,x12/10,s3,x2/1,pe/g,x6/0,s2,x9/15,s4,x8/1,pk/p,x4/6,ph/m,s14,x5/13,s8,x1/11,s1,x3/14,s3,x0/4,pc/j,x10/8,s1,x3/15,s8,x4/0,pa/i,x10/15,s10,x5/3,s2,pb/h,x0/13,s6,x4/5,s4,x11/14,s7,x10/6,s10,x4/9,pp/m,x3/8,s15,x7/11,s5,x1/15,s6,x5/4,s8,x2/11,pi/f,x9/8,s12,x0/3,pp/e,x14/9,pm/j,x15/12,s15,x5/0,s4,x11/7,s15,x3/12,pl/n,x5/10,pb/o,x0/6,pi/h,x14/4,s8,x8/0,s7,x1/10,pe/p,x14/13,s1,x6/1,pm/g,x3/8,pb/i,s15,x5/14,s3,x9/4,s14,x6/11,s1,x15/3,s10,x12/10,pg/o,x8/15,s7,x10/9,pp/e,x15/8,pd/o,x3/11,s11,pi/a,x15/5,s3,x3/9,pp/k,x4/15,s2,x6/7,s7,x0/13,ph/e,s11,x5/6,pm/c,s12,x11/3,s1,x0/10,s15,x14/4,s11,pi/o,x0/10,pk/n,x9/11,pc/h,x5/13,pd/f,x2/15,s15,x6/9,s6,x10/8,s3,x7/6,s8,x0/2,s15,x6/15,s6,x8/1,pg/c,x5/13,pb/i,x11/4,pd/h,x1/6,s4,x8/10,s2,x6/7,s1,x9/1,pm/b,x11/14,pe/g,x6/12,po/i,x5/1,pk/g,x8/0,pe/d,x2/3,s9,x1/10,s7,pc/l,s9,x11/3,s8,x2/5,s5,x8/6,pd/e,x0/2,s11,x4/10,s12,x9/5,s13,x4/11,s4,x5/3,s1,pk/l,x13/15,pf/j,x5/8,pa/n,x2/0,s14,x3/8,s7,pe/d,x6/2,s11,pm/a,x9/14,s2,x13/1,s10,x2/0,pc/g,x7/6,s7,x15/9,s15,x7/10,s6,x2/3,s14,x7/4,s8,x5/8,s11,x15/1,s5,x10/14,pn/l,x2/4,ph/f,x15/9,s10,x7/14,s11,x0/4,s9,x10/3,s3,pn/k,x4/0,s3,x5/1,pa/j,s6,x3/4,s9,x13/14,pc/g,x3/0,s4,x14/13,s9,x3/8,s6,x13/7,s7,x15/10,s11,x4/0,s1,x15/1,pn/h,x12/0,s9,x8/10,s14,x11/9,pg/k,x6/3,pb/p,x1/5,s13,x15/2,pg/e,x11/7,s12,x3/5,pb/o,x7/1,s13,x10/6,s4,x12/14,s4,x10/0,s14,x2/8,s3,x7/13,s14,x4/5,s12,x13/14,s12,x3/15,pl/g,x2/13,pj/o,x15/4,s9,x12/9,s1,x4/11,pa/n,x9/12,pi/k,x15/8,pg/c,x14/4,s11,pi/o,x6/12,pk/h,s3,x14/5,s11,pn/g,x12/4,po/m,x7/10,s5,x1/2,ph/b,x8/5,pc/n,x2/15,s7,x5/8,s4,po/i,x14/7,s1,x3/9,pj/n,x15/12,s4,x4/9,s2,x6/3,ph/k,s15,x0/10,s10,x3/7,s5,x15/14,pc/f,x4/8,pp/k,x3/7,pe/c,x6/8,s7,x4/13,pj/a,x8/10,s3,x0/1,s5,x2/3,s9,x6/12,s7,x7/14,po/f,x4/2,pn/d,x12/7,pj/b,s2,x11/15,ph/p,s4,pn/a,x6/2,s9,x5/13,ph/g,x6/7,pi/m,x9/3,s10,x7/15,s2,x13/6,s9,pf/l,x2/5,s6,x12/9,s11,x11/10,s13,x0/13,pm/c,x12/5,s7,x15/1,po/d,x12/6,s12,x9/14,s8,x5/13,pk/h,x12/10,pg/n,x9/11,pd/c,s15,x5/6,pm/f,x11/1,po/k,x2/12,pi/c,s5,x4/6,s1,x0/2,s9,x7/9,pm/o,x11/0,pb/f,x13/6,s6,x4/0,s5,x15/8,s8,x10/6,pg/o,x9/4,s15,x15/13,s3,x9/11,ph/l,x10/15,s15,x14/1,s11,x2/9,s7,x7/1,s10,x4/2,pm/i,x7/9,s10,x2/6,s10,x13/11,s11,pd/b,x10/7,s7,x1/5,pi/l,x6/8,pp/d,x2/13,s7,x15/5,pe/a,x10/1,s7,x4/2,pp/m,x9/14,s3,x4/1,s13,x9/7,s13,x13/3,s14,x7/1,pl/g,x14/5,s14,x2/7,s5,x13/1,pe/f,x3/5,pb/n,x4/2,pp/h,s9,x9/15,s13,x11/10,s5,x3/4,s8,x12/13,s15,x4/3,s14,x1/8,pe/o,x2/0,pm/g,x4/15,s6,x2/0,s3,x1/10,pb/e,s1,po/l,x9/13,s2,x6/3,s6,x8/1,s8,x0/13,pa/i,x10/12,pl/k,x2/14,pm/g,x7/0,pn/h,x1/4,s13,x5/7,pk/o,x6/15,s14,x1/0,s13,x7/13,s12,pj/g,x9/10,s13,x1/0,ph/c,x2/10,pe/f,x15/8,pk/a,x5/12,s13,x7/1,pi/l,x13/15,pk/p,x2/4,s8,x5/13,s7,x10/8,s10,x1/0,s15,x6/14,pi/d,s11,x4/13,s15,x11/6,s3,x8/4,pl/h,x15/7,pi/e,x11/8,s10,x3/0,s11,x1/12,s8,x11/4,pm/n,x12/2,pi/d,x6/15,s15,x8/2,s2,x7/5,pc/b,x11/0,pn/f,x5/3,pc/l,x10/12,s15,x8/14,s15,x9/5,s4,x12/0,pk/a,x15/7,pp/h,x3/5,s15,x0/14,s1,x11/6,pa/c,x10/4,pe/b,x2/6,pd/h,x12/11,s3,x6/9,pp/k,s10,x2/13,s3,x3/10,s3,pl/a,x14/1,pe/o,s4,x6/4,s12,x7/13,pl/d,x11/15,s9,x6/0,s10,x8/4,s14,x11/15,s15,x5/10,pf/c,x11/9,po/l,x1/2,s12,x5/6,pp/f,x14/7,pi/a,x8/11,pe/b,s7,x12/4,ph/n,x11/7,pc/k,x1/13,s3,pg/n,s2,x10/8,s9,x7/2,po/b,x14/6,s10,x15/9,pn/a,s5,x3/12,pl/d,x13/8,s9,x14/10,s7,x13/15,pj/f,x5/9,pl/p,x13/8,pk/c,s6,x3/15,s2,x5/9,s11,x14/13,pa/m,x1/7,pe/f,x11/2,s3,pk/i,x3/13,s13,x4/0,po/c,x10/8,s2,x14/11,pe/j,x1/0,s3,pn/o,x4/9,s6,x0/1,s9,x3/7,pf/i,x5/8,s5,x14/1,pp/k,x13/15,s5,x7/1,s1,x12/8,s14,pf/e,x13/7,pp/b,x15/1,s10,x6/10,s2,x3/13,s5,x2/6,pk/c,x0/12,s2,x8/15,s13,x14/2,s7,x6/4,s13,x0/11,s1,x14/7,s14,x4/11,s12,x1/6,s9,x2/13,s13,x3/0,pn/g,x7/12,s15,x4/11,s7,x13/8,pc/h,x4/3,po/n,x5/14,pp/i,x12/10,ph/k,x5/0,pc/d,x11/4,s1,x7/2,pi/g,x13/1,s13,pn/a,x9/8,s4,x11/14,s14,pm/f,x8/0,s3,x9/13,s6,x10/3,pc/i,x2/4,s3,x13/5,pk/j,s8,x12/8,s11,x10/13,pf/o,x6/12,s3,x9/8,pe/h,x7/11,s2,x4/3,pb/n,x5/8,s9,x0/14,s4,x11/13,pk/i,x9/8,s9,pg/l,s7,x4/2,s7,x3/11,pj/h,x0/2,s9,x6/15,s9,x13/7,pa/i,x14/5,pk/o,x11/9,s10,x8/13,pd/j,x7/3,s14,x5/10,s4,x7/1,pb/n,x0/11,s14,x9/10,pp/f,x14/13,s11,x5/10,s6,pj/h,s15,x12/6,pm/o,x8/0,s13,x9/10,s4,pk/l,x11/8,s1,x3/2,s12,x13/9,s9,x14/8,s5,x6/3,ph/j,x7/4,s9,x11/14,pn/m,x7/4,pk/h,x11/6,s8,x10/15,s13,x12/1,s4,x9/14,s11,x15/4,s3,x3/8,pc/l,x5/14,pe/a,x0/11,pg/f,x14/9,pi/m,x1/2,s5,x11/9,pe/j,x4/7,pa/d,s12,pb/o,x14/15,s13,x2/11,ph/j,s13,x4/1,po/m,x6/2,pg/i,x11/5,s4,pp/n,x15/8,s8,x13/14,pe/h,x1/10,s7,x11/5,pn/m,s14,x13/4,pf/c,x10/8,pj/n,x3/13,s2,x0/5,s6,x4/14,s13,x12/7,s12,x9/4,pc/k,x2/1,pl/g,x11/15,po/f,s3,pm/n,x1/6,s8,x11/10,pl/h,x12/4,s5,x10/13,pi/n,s5,x2/8,pb/d,x9/7,s8,x6/15,s4,x10/5,pf/c,x15/1,s3,x14/9,po/k,s12,x11/5,s14,x7/8,pe/g,x15/12,s9,x9/0,s1,x12/11,po/b,x3/1,pa/l,x4/14,pn/j,x3/7,s8,x14/15,s6,x8/5,s13,x9/12,s1,x6/2,pl/k,s5,x1/10,s5,x9/2,s8,x13/11,s12,x8/0,s1,x5/7,pm/o,x15/10,s6,pp/f,x9/13,s2,x1/0,s6,x2/8,pk/n,x9/12,pc/o,x10/1,s4,x0/6,s13,x12/10,s13,x1/9,s4,x11/13,s5,x1/0,s1,x13/15,pl/e,s13,x4/3,pn/k,x14/15,s10,x13/4,po/d,x11/9,pj/a,s1,x1/6,s13,pp/b,x8/0,s3,x6/14,s2,x10/8,s3,x14/11,pd/m,x5/3,pn/c,x11/8,pd/l,s8,x9/7,s12,x13/8,s15,pc/a,x10/3,s11,x4/6,pf/e,x0/1,pi/c,x11/10,s8,x1/0,s7,x4/5,s1,x7/0,s14,x8/14,pl/o,x9/2,pk/d,x4/14,s14,pl/e,x9/7,s15,x12/3,pa/h,s9,x7/13,po/k,s12,x9/1,s13,x3/14,pa/d,x0/15,s10,pl/f,x8/3,s13,x4/7,pp/i,x2/3,pj/k,x4/6,s11,x9/15,s5,x11/3,s3,x8/9,pb/a,x14/12,s2,x13/6,s8,x4/1,s3,x10/3,s14,x7/4,pi/k,x13/9,s4,x5/15,s12,x12/10,pp/b,x11/14,s12,x1/10,s2,x4/5,s13,x6/12,s4,x10/15,s1,x7/13,s15,x11/10,pm/a,x3/4,pf/j,s2,x7/0,s7,x9/3,pb/p,x5/11,po/h,x10/7,s7,x13/6,s4,x1/10,pm/e,x5/7,s7,x1/11,pp/n,x12/9,ph/f,x11/7,pm/d,x9/12,pk/f,s15,x3/8,po/p,x9/12,s9,pg/b,x2/11,pk/o,s8,x14/12,s3,x15/0,pc/j,s3,x4/12,pe/l,x10/11,pj/g,x2/4,s4,x8/10,pd/n,x12/9,pl/j,x13/2,pk/d,x5/9,s13,x1/12,s6,pa/g,x11/15,s13,x1/8,s5,x13/15,s7,x1/5,pj/i,x0/2,s8,x1/7,pp/g,x2/4,pc/d,x15/9,s15,x10/13,s1,x7/12,s2,x13/3,s9,x14/0,pa/n,x7/10,pb/k,x3/9,pm/l,x6/11,pb/d,x3/8,po/f,x12/5,pa/d,x15/11,s3,x13/12,s6,x14/2,pg/f,s3,x9/8,s2,ph/n,x0/1,s8,x14/12,s15,x11/3,pf/o,x13/4,s5,x7/12,pp/j,x1/14,s3,x15/13,s9,x0/9,s8,x1/7,s7,x3/4,pn/a,x1/10,s11,pl/m,x7/15,po/k,x1/4,s10,ph/i,x9/2,pn/f,x14/6,pp/k,x4/15,s13,x13/8,s15,x11/0,s8,x2/14,pn/m,x15/9,s5,x3/10,s3,x1/0,ph/j,s5,x14/9,s14,x10/1,s2,x0/7,s6,x14/4,pa/f,x5/7,s11,x0/10,s4,x11/8,s15,x10/2,s15,x8/15,s9,x10/3,s11,x1/13,s11,pc/o,x11/15,pe/j,x0/5,s4,x12/4,s7,pn/m,x14/10,s1,x11/6,s10,x1/15,s3,x10/9,s1,x7/6,pp/e,x14/5,pg/b,s7,pm/l,x15/4,s13,x8/9,pd/e,x12/1,s5,x3/8,s4,x7/5,s6,x0/8,pg/b,x11/9,s2,x13/15,s4,pa/j,x11/1,s6,x6/3,s4,x5/2,s12,x6/12,s9,x13/11,ph/l,s4,x14/8,pf/g,x11/3,s11,x8/9,pa/n,x15/1,s9,x13/9,s11,x6/14,pg/b,x4/13,s12,x11/0,po/h,x15/14,pg/n,x10/13,s6,x5/3,s13,x6/0,s14,x7/2,pb/j,x14/6,s8,x13/9,s11,x10/2,s10,x7/5,s3,x4/0,pl/m,x9/1,s12,x4/11,s14,x15/8,s1,x3/9,po/n,x1/14,s11,pl/a,x6/0,s9,x8/11,pk/m,s13,x5/1,pg/c,x4/10,pl/j,s2,x2/1,pe/k,x3/15,pn/c,x8/0,pb/a,s15,x3/13,pm/f,x9/14,s11,x15/3,pe/j,x7/12,pg/f,x6/15,pk/n,s2,x8/7,s8,x5/2,s3,x1/8,pf/p,x11/10,s3,x9/0,pk/d,x13/1,s14,x2/6,pg/l,x7/11,s13,x2/3,s7,x5/7,s2,x9/2,pi/n,x11/1,s3,x7/10,pe/p,x13/14,s3,x10/9,pj/i,x15/13,ph/o,s1,x14/7,pg/b,x8/0,pf/a,x5/9,s13,pi/n,s2,x12/1,pg/m,x14/15,s8,x2/6,s2,x4/9,pi/o,x6/15,s8,x4/12,s7,x5/10,s3,x3/6,pk/h,x14/10,s11,x1/7,pj/f,x13/14,pe/p,x7/12,pf/l,x10/13,s11,x4/5,s8,pd/b,x15/14,pl/f,x2/3,pe/h,x7/4,pl/a,x3/15,s13,x2/14,s1,x12/4,s6,x1/10,po/c,x13/15,s9,x4/6,s12,x1/2,s2,x4/15,pn/g,x1/6,pi/d,x11/4,pl/a,x5/9,pk/p,x11/7,s2,x0/9,s10,ph/m,x2/6,s9,x13/12,s6,x11/9,pg/j,x5/10,pe/c,s7,x11/12,pk/l,x1/9,s12,x6/4,s7,pb/e,x5/11,pc/p,x15/7,s1,x6/8,s4,x2/10,pe/g,x12/0,pa/o,x4/7,s2,x0/2,s13,x12/1,pl/c,x7/6,s3,x1/3,pn/o,s2,x0/11,s5,x3/7,pm/k,x12/0,s10,x9/4,pa/j,x14/6,pk/g,x1/5,pe/j,x8/13,s13,x1/9,pm/c,x5/4,pf/g,x11/10,s6,x7/14,po/a,x5/6,pf/p,x3/9,s12,x5/13,pd/a,x3/14,pl/k,x1/11,s13,pf/o,s14,x4/12,s4,x6/3,s3,x15/11,s9,x9/4,s7,x5/11,s11,ph/p,s14,x12/7,s7,x13/15,pb/i,x9/0,s9,x15/3,pk/h,x10/13,s1,x6/7,s9,x1/3,s12,x14/12,pj/g,x9/6,pk/a,x7/0,s5,x5/3,pi/n,x11/6,s15,x7/8,s5,pj/g,x0/2,s6,x1/15,pe/b,x3/4,po/l,x2/7,s6,pg/e,x5/9,pb/a,x15/11,ph/g,s2,po/d,s4,x9/2,s14,x6/7,pp/c,x12/3,s13,x0/15,s5,x6/13,pb/k,x0/15,pl/e,s3,pp/n,x3/13,pa/i,x7/11,s12,x6/3,pn/d,x2/4,pp/o,x10/8,pm/d,x14/5,ph/a,x9/10,s5,x4/12,pb/g,s1,x2/0,pl/a,x5/13,s7,x12/0,pk/b,x13/7,pp/d,x12/1,s15,x3/13,pi/j,x11/1,po/e,x2/5,s5,x11/1,s1,x2/0,ph/c,x11/4,s8,x8/13,s1,x5/10,s1,x15/6,pi/n,x12/4,s13,x15/5,pe/j,x3/1,s12,x14/0,pd/h,x12/13,pm/g,x11/0,s2,x12/6,s8,pi/e,x2/0,s15,x6/14,s6,x10/13,s8,x14/5,pb/m,x13/11,s13,x15/6,s11,pl/k,s13,x2/8,pm/c,x6/3,s3,x11/5,s8,x8/12,po/j,x9/3,s12,x1/0,pe/n,x12/10,pf/p,x13/3,pd/k,x2/12,s6,x15/14,s5,x11/4,s10,x9/0,s15,x8/15,po/j,x1/10,s4,x0/14,s7,x13/5,s10,x7/9,pm/i,x6/13,s3,x9/8,s1,x15/14,pd/e,x1/10,pl/i,x0/3,pg/a,s8,x11/2,pc/m,x4/13,pl/b,x8/6,pc/g,x2/4,pm/n,x13/7,s9,x1/15,s8,x8/7,s5,x1/12,s14,x2/6,s4,x12/3,pg/p,x15/5,pf/b,x12/8,s9,x10/3,s6,x5/2,s4,x7/3,s11,x0/9,s8,x15/1,pm/k,s3,x3/9,s6,x7/2,pp/e,s5,x15/8,s8,x11/3,s4,x8/0,s8,x12/11,s13,x7/4,s11,x0/3,pj/o,s2,x10/7,pd/b,s7,ph/c,x5/4,s6,x2/7,s14,x14/8,s11,x15/12,s11,x5/6,pj/d,x13/0,pi/l,x10/2,pg/n,x0/8,s5,pf/o,x2/15,s14,pm/a,x11/5,pj/h,x0/13,pc/d,x12/9,s14,x13/14,s9,x0/4,pl/f,s12,x1/5,s3,x4/14,pe/b,x12/10,pi/l,s2,x4/15,s1,x0/3,pm/e,x14/13,s3,x2/8,s1,po/l,x12/7,s7,pp/n,x2/8,s14,x3/9,s13,x4/15,s5,x9/6,s4,x7/0,s8,x1/9,s5,x14/12,s13,x1/3,pm/g,x6/0,s4,x13/15,s11,x3/10,pj/i,x15/12,s8,x5/1,pe/k,s5,x6/9,pc/n,s4,x0/7,s5,x11/5,pi/j,x9/1,s6,x5/4,po/a,x6/1,s4,x7/12,s13,pm/p,x10/9,pn/i,x3/8,s9,pc/k,x1/15,s5,x8/9,s3,x5/14,po/l,x7/2,s9,x1/14,pn/g,x2/6,s14,x7/5,pm/p,s2,x10/3,s4,x15/2,s12,x9/4,s8,x12/3,s10,x9/8,s8,x13/2,s4,x12/9,s4,ph/o,x10/4,pk/a,x3/12,pg/i,s13,x13/7,s6,x12/2,pj/b,s11,x15/14,s4,x7/8,s8,x4/10,s12,x7/14,pp/m,x12/13,s2,x5/11,s9,pf/e,x0/6,s7,x12/1,s2,x13/0,s9,x7/1,pi/p,x2/14,ph/a,x1/8,pd/p,x7/4,pe/k,x6/0,s15,x14/3,pa/g,x15/7,s10,x11/5,s9,pk/d,x1/13,pi/f,x3/15,pc/h,x13/1,s15,x10/5,s6,x12/8,pn/m,x4/3,s12,pc/j,x0/6,s1,pm/h,x11/5,pe/b,x10/14,pg/h,x0/13,pc/d,x8/9,pm/b,s9,x6/10,pc/n,x9/2,pl/f,x1/4,s9,x6/14,pa/i,x7/12,s9,x1/0,s13,x13/12,s5,x0/1,s10,x10/7,s11,x15/3,pk/l,s3,x9/8,s11,x6/14,s3,x15/11,pj/f,x3/7,s13,x5/15,s15,x9/12,pp/b,x2/3,pi/m,x13/5,s15,x9/15,po/l,x7/0,pi/e,x11/10,pf/j,s14,x6/8,s8,x5/2,s2,pa/p,x0/8,pk/i,x9/12,pn/o,x14/4,pj/e,x8/2,pa/f,x4/1,po/d,x9/0,s1,x14/7,s1,x2/10,pk/c,x6/11,s2,x2/0,pj/d,x6/15,s5,x7/1,s13,x8/11,s15,x1/3,pl/f,s12,x6/5,s1,x12/11,s5,x3/10,s9,x9/6,s6,x4/1,pg/j,x10/6,s5,x3/14,pc/i,x10/7,pn/e,x5/9,s8,x11/15,s14,x8/0,s15,x10/14,s2,x9/7,pj/f,x10/15,pg/p,x4/3,s15,x13/10,s2,x12/5,pn/c,x11/6,pk/g,x14/8,pc/a,x1/4,pd/j,x10/13,s6,x5/0,pp/k,x11/1,s12,x12/2,pa/l,x5/1,pm/e,x0/13,s13,x1/7,s6,x2/11,s7,x0/6,po/j,x13/3,pi/l,x11/9,s9,x15/13,s11,pc/j,x14/0,s1,x15/1,s12,x0/14,s10,x5/13,s15,x4/6,s15,x7/10,pp/a,x11/12,s10,x1/0,pc/d,x5/10,pe/m,s6,x11/8,s2,x5/9,pk/l,x0/13,s4,x6/3,pn/f,x4/11,s2,x2/8,s13,x13/5,pk/g,x2/14,pf/m,s14,x8/7,pj/g,s3,x13/2,s14,x5/4,s13,x7/8,s9,x9/4,pp/o,x10/3,s9,x9/8,s14,x4/1,pc/g,x0/15,s14,x12/14,ph/i,s9,x5/11,s12,pg/d,x4/3,s2,x12/1,s3,x4/3,ph/f,x2/14,pe/a,x15/13,pf/j,s8,x9/11,s7,x0/3,pm/h,x6/9,pg/e,x15/11,s11,x8/7,s1,x4/11,s4,x5/10,pb/o,x14/2,pf/d,s11,x9/11,s10,x4/14,pb/k,x15/13,pf/m,x2/7,s14,x0/15,pg/j,x3/8,pf/d,x7/6,s9,x13/12,s9,x10/15,pb/m,x8/6,s2,po/j,x12/1,pe/l,x15/4,s4,x7/6,s1,x2/1,s15,x10/4,s8,x2/12,s10,x10/0,pj/a,x13/3,s2,x9/6,pn/p,x10/14,s10,x7/9,s7,pa/l,x0/15,s13,x6/7,s11,x5/14,s9,x15/8,pj/d,x10/4,s14,x14/5,s10,x12/11,s11,x6/4,pk/n,x10/2,pc/b,x3/12,s4,x11/7,pe/o,x4/14,pb/n,s15,x10/15,s3,x6/9,s7,x3/8,s11,x5/9,s11,x15/11,pi/k,x14/4,s2,x0/3,ph/e,x12/9,s15,x13/0,s11,x15/11,s14,x4/7,s15,pl/b,x15/1,s15,x12/10,s2,x13/15,s3,x2/9,s6,x13/10,s9,x11/4,pd/n,x2/0,s6,x15/4,pk/a,x14/10,pb/h,x13/12,pe/k,x1/2,s12,x8/12,pb/g,x0/7,s12,x5/2,pl/m,x9/15,s6,x13/7,s15,x14/10,pa/g,x9/1,s12,x13/5,s8,x0/12,s3,x8/5,s4,x10/13,pl/i,x0/2,s1,x4/7,s5,x10/11,s8,x12/13,s15,x6/7,s3,x9/1,s5,x13/0,pp/k,x9/4,s2,x0/3,pa/h,x12/5,s1,pe/j,x0/15,s8,x7/14,s14,x10/12,s14,x3/0,s12,x2/11,s8,x8/4,pn/h,x0/15,pe/p,x6/13,s2,x3/10,s12,x1/6,s7,x14/2,s15,x12/7,s13,x13/11,s14,x3/10,s12,x11/8,s13,x7/4,s7,x12/10,pd/c,x11/6,s3,pb/m,s7,x1/5,po/f,x11/6,s2,x5/15,s7,x3/9,pl/j,x5/12,s8,x3/8,po/m,x4/1,s1,x8/13,pn/b,x6/14,s13,x9/7,s11,x12/1,s7,x4/0,s4,x1/9,pa/f,x5/4,s10,x15/12,s10,x13/11,pb/p,x3/6,s11,x7/5,pa/e,x12/15,s11,x13/8,ph/p,x2/0,pf/b,x4/6,s6,x15/1,s8,ph/o,x5/2,s4,x7/8,s2,x10/12,pk/n,x6/4,pj/d,x3/15,s1,x9/5,s2,x13/11,pl/g,x0/10,pk/h,s3,x2/13,pp/c,x3/9,ph/e,x0/13,s10,x10/7,s7,pg/j,x4/8,s13,x2/15,po/b,x11/0,pl/i,x3/15,pg/d,s9,x7/8,s5,x2/3,pa/e,x4/15,ph/m,x11/2,s7,x6/12,s14,x9/5,pe/n,x13/10,pd/m,x8/0,pp/o,x10/6,pf/g,x5/15,s7,x0/12,pd/j,x14/1,pp/c,x15/5,po/g,x0/2,pi/f,s15,pl/j,x5/7,s10,x15/0,pb/p,x11/1,s4,x6/3,s11,pf/d,x2/13,s3,pp/l,x11/6,s5,x2/0,pc/a,x7/8,pk/m,x9/0,s7,x12/5,s8,pg/c,x13/0,s10,x1/9,pn/b,x0/7,s8,x5/4,s3,x12/7,s5,x15/14,pf/p,x3/8,s1,x15/14,s10,x10/1,pm/a,s3,x5/15,s3,x2/14,s5,ph/i,s4,pn/l,x10/12,s10,x4/1,pa/e,x12/14,pi/k,x11/7,s8,x6/9,pe/g,x2/8,s10,x0/6,s5,x1/15,s5,pi/k,x8/6,pj/h,x9/12,s13,pl/k,x7/11,s14,x4/5,s10,pi/p,x12/14,pm/j,x15/1,pc/b,x11/3,s1,x8/13,s13,x3/12,pm/n,x11/7,s11,pa/d,x8/0,s3,x12/2,s9,x0/4,s15,x7/3,s5,x15/1,ph/b,x8/12,s2,pn/d,x14/13,pp/l,x6/2,s15,x5/0,pb/f,x12/15,s6,x6/3,s10,pg/j,x14/7,s8,pa/d,x15/3,s9,x8/5,pp/h,s14,x10/0,pa/d,x2/14,s2,x13/7,s4,x6/10,pm/k,x5/1,s1,x14/3,s6,x8/10,s7,x2/14,s7,x5/15,s7,x14/10,s4,x11/0,s1,x4/5,s11,x10/1,ph/l,s6,x8/11,pi/g,x9/5,s8,x13/4,s9,x3/11,ph/d,x2/5,s1,x3/1,s1,x10/6,s3,x9/12,s1,x14/8,s4,x3/10,pe/j,x0/4,ph/g,x10/8,pe/n,x15/12,pb/d,x7/9,s1,x2/5,pf/l,s5,x11/7,s15,x14/6,s7,x5/7,pe/p,x6/14,pn/b,x0/15,pj/o,x1/8,s3,x14/15,s2,pl/c,x11/6,ph/i,x14/3,po/c,x13/2,pb/k,x7/0,ph/f,x14/13,s14,x2/9,s2,x6/12,pc/g,x9/5,s15,x2/0,pn/d,x5/7,s2,x8/13,s4,x5/4,s9,x9/7,pb/l,x11/13,s4,x1/12,s11,x8/0,s2,x14/13,pj/g,s4,x0/11,s7,x5/10,s6,x3/13,s11,x9/2,pn/p,x8/6,s8,x5/14,s2,x10/0,pd/g,x5/11,s13,x0/7,s6,x2/13,s12,x0/14,pm/f,x4/13,s8,x7/14,po/e,x11/4,s5,x8/15,pa/c,x10/7,pe/d,x9/11,s10,x12/15,s13,x0/5,pf/b,x15/9,s12,pj/g,x11/6,pd/p,x15/12,s7,pc/a,x9/6,s1,x12/10,s12,x8/4,s14,x9/13,pk/n,x0/6,s3,x15/5,s5,x7/2,pc/m,x10/1,pd/j,s3,x11/6,s7,x0/9,s3,x3/14,s5,x6/2,s11,pf/g,x0/9,s1,x4/1,s7,x14/5,s5,x1/7,pk/e,x2/5,pl/f,x3/9,s14,x12/15,s10,x3/1,pg/k,x8/2,s14,x10/12,pn/p,x3/1,ph/m,s3,x2/11,s11,x6/14,pn/a,x12/10,pf/d,x6/13,pn/a,x2/10,s10,x4/9,s6,x3/1,pb/d,x8/12,s2,x6/15,s8,x5/13,s12,x1/11,s4,x9/15,po/j,x13/0,s5,x9/8,s15,x11/14,pc/d,x12/8,pe/l,x5/3,pd/b,x10/13,pj/g,x0/8,pm/o,x3/6,pp/b,x1/12,pe/i,x0/6,po/f,x12/15,s13,x14/5,s14,x0/3,s1,x10/12,pa/h,x1/0,s5,pg/l,x8/2,s7,x11/0,pe/b,x12/13,s1,x0/3,s14,x5/6,s9,x1/2,s4,x3/14,s14,x13/8,s9,x6/11,pa/m,x12/8,pj/i,x0/4,s6,x12/9,po/n,x13/5,s12,x3/1,s13,x7/9,pf/i,x3/11,s6,x1/4,s2,x6/15,pg/h,x2/10,pi/f,s2,x7/3,s6,x4/12,s5,x0/5,s6,x14/15,s8,x8/4,s13,x7/3,pl/m,x8/5,s1,x14/6,s11,x12/11,pe/d,s13,x1/9,s3,x11/5,s4,x6/3,pk/o,x13/8,pd/f,x3/15,s11,x8/5,pg/o,s10,x15/11,s1,x3/12,pf/l,x6/13,s6,x12/9,pa/d,x1/8,s15,x3/6,ph/n,x13/10,s5,x5/9,s12,x11/12,pd/e,x10/9,s4,x8/14,s6,x15/12,pa/h,s1,x3/7,s3,x4/9,pk/g,x8/14,pe/f,x13/6,pd/k,x4/7,pp/a,x8/9,s5,x0/6,s5,x3/12,s9,x15/11,s3,x10/4,pd/b,x2/14,s1,x15/13,s6,x8/11,pl/c,x3/9,pk/m,x12/7,s3,x4/3,s10,x14/9,s3,x5/8,pe/o,x14/13,s2,x5/10,pl/j,x4/0,s2,x5/6,pg/n,s3,x4/7,s11,x3/8,s3,x14/5,s13,x6/1,s5,x4/10,s1,pc/m,s14,x7/3,s7,x1/11,pg/i,s15,x9/2,pl/n,x14/4,pb/m,x1/5,pf/i,x7/2,s2,x9/8,s10,x2/7,ph/e,x5/13,s15,x9/2,s9,x11/15,pn/b,s5,x12/14,pe/a,x5/4,s5,x11/12,s10,x1/15,pb/p,x9/10,pl/c,x4/14,s9,x8/5,pm/j,x15/14,s2,x4/5,s5,x2/13,s8,pb/f,x4/7,s11,x14/8,s3,x12/6,s13,x11/9,pn/g,s3,x4/8,pl/c,x13/11,pn/f,x12/15,s3,x0/13,s8,x11/3,s14,x2/9,s5,x7/1,s7,x4/14,s15,x8/7,s3,x0/1,pi/b,x11/7,ph/c,x4/2,s15,x15/5,s1,x1/0,pd/a,x15/7,s12,pg/b,x2/3,s6,x5/7,s8,x12/9,pk/l,x1/3,pg/h,s8,x4/14,pe/k,x2/15,s13,x6/3,s2,x0/7,s5,x4/6,pd/j,x9/13,pa/p,x12/2,pe/i,s9,x6/7,pa/d,x5/8,s5,x2/9,s14,x12/10,s13,x9/5,s6,x13/2,pf/e,x5/8,s2,x11/10,s9,x12/7,pn/o,s6,pa/h,x11/15,s5,x12/4,s1,x7/8,pm/b,x4/3,s11,x0/1,pg/p,x11/12,s7,po/m,s7,x6/4,s14,x0/14,s10,x12/9,s15,x15/13,pg/c,s14,x3/1,pm/e,s6,pl/h,x0/12,pk/f,x14/13,s1,x15/6,pc/l,x11/9,s12,x14/2,s1,x6/0,po/i,x8/10,pn/k,x13/6,s6,x3/12,po/e,x11/15,s11,x2/9,s5,pi/h,x15/13,s9,pg/n,x6/10,s4,x2/9,pi/o,x3/6,pe/p,x5/9,pk/o,s13,x11/2,s13,x13/8,ph/l,x0/11,pe/o,s13,x6/9,s7,x13/12,s10,x4/8,pb/n,x6/9,s13,pj/a,x2/3,pb/m,s9,x14/7,s1,x5/12,pe/l,x1/9,s1,x12/15,s12,x7/2,s14,x1/14,s4,pi/p,x7/0,s6,x14/10,pl/e,x11/2,s12,x5/8,s8,x12/10,s4,x4/5,s3,pj/b,x13/11,pp/f,s13,x3/8,s10,x7/2,pk/b,x12/6,s8,x7/9,pn/c,x1/6,s13,x9/3,pj/k,x1/13,s11,x4/9,pd/p,x13/11,pg/o,x15/10,s7,x6/11,pj/m,x0/2,s12,ph/l,x3/1,pm/c,x6/5,s3,x2/11,s10,x9/14,s15,x8/4,pg/n,x14/11,s8,x4/5,s13,x10/15,s13,x9/1,pc/j,s5,x15/13,s12,x11/4,s9,x0/14,pm/d,x13/8,pa/l,x10/1,pp/h,x7/4,s10,x10/9,pd/i,x7/11,s3,x13/15,s10,pk/n,x1/0,s9,x8/5,s7,x11/12,s6,x1/0,pf/i,s15,x10/15,s6,x5/0,s12,x2/12,pj/n,x6/15,s10,pk/h,s10,x0/5,pc/o,x11/7,s12,x13/1,s8,x9/8,s5,x4/14,s2,x15/9,s12,x5/6,s4,x0/11,s9,x9/8,s2,x7/13,s6,x4/5,s8,x11/15,pi/d,x7/0,ph/c,x3/11,s8,x12/15,s3,x8/4,pn/j,x15/9,s1,x2/12,pl/h,x13/1,s2,x7/3,pi/b,s7,x10/9,s12,x7/11,s13,pf/p,x3/2,s10,x8/10,s6,x11/6,pi/a,x15/12,pc/e,x3/9,ph/k,x2/5,pa/e,x13/1,s4,x5/11,s7,x8/10,s5,x9/2,po/f,x1/13,s6,x3/12,pe/g,x0/9,s3,x11/10,s3,x15/2,s13,x14/6,ph/f,x13/11,s4,x1/2,pk/n,x15/7,pm/l,x3/4,s8,x7/9,s11,x15/4,ph/a,x5/2,pi/o,x12/9,s3,x3/1,pg/a,x6/12,pd/o,x3/13,s12,x15/1,s14,x10/4,pm/c,x15/3,pp/a,x2/14,s8,x1/7,s11,x14/8,s6,x13/6,pb/i,x4/1,s6,x14/2,s4,x5/0,pj/o,x13/7,ph/c,x5/2,s4,x13/9,pb/m,x11/7,s8,po/i,s15,x1/13,pa/m,x7/14,s1,x13/11,ph/o,x10/2,s14,x4/8,s2,x9/13,pk/c,x3/15,s9,x6/11,pi/d,x13/7,s3,x4/10,s15,x15/6,s12,x7/8,s1,x3/9,pm/h,x14/11,pk/n,x5/15,pi/g,x7/0,pp/l,x12/5,s10,x10/0,pm/j,s13,x15/8,s8,x5/0,s8,x12/8,s3,po/e,x14/1,pg/d,x13/9,s6,x14/0,s6,x4/3,s14,x15/10,pa/o,x14/6,pc/e,x10/12,s12,x9/2,s5,x13/4,s9,x9/1,s8,x11/4,ph/l,x3/14,pi/p,x0/2,s5,x15/13,pe/b,x10/2,s10,x6/0,pk/d,x10/2,s7,x12/8,s15,x9/0,pm/l,x15/13,pn/f,x12/10,pl/b,x15/3,pc/j,x9/2,pf/p,x8/1,s4,x0/7,s5,x3/11,s5,x4/9,s12,x1/14,pg/e,x8/5,s13,x15/11,pl/j,x0/5,s11,x13/4,pb/e,x11/2,s3,x7/9,pd/l,x12/2,pn/o,x7/15,s3,x5/2,s11,x15/11,s13,x14/3,pi/h,x2/1,s4,x4/11,po/n,x6/5,pg/m,x10/15,pj/k,x0/6,pc/f,s6,x11/2,s3,x3/14,s15,x2/0,ph/b,x11/6,s10,x12/2,s3,x8/5,s15,x4/0,s8,x10/11,pe/o,x8/3,pm/c,x7/11,s1,x4/3,s14,x1/7,pi/b,x6/9,pk/j,x0/3,s15,x6/12,pb/a,x5/8,pk/o,x4/1,ph/c,x9/3,s15,x7/14,s10,x12/8,s12,x15/6,pn/e,x14/4,s13,x10/13,po/b,x2/8,pi/l,x9/3,pp/e,x0/5,pj/i,x1/13,s15,x5/14,pe/a,x8/3,s2,x15/14,pb/p,s10,x10/3,pj/d,x9/8,s9,x14/3,pp/l,x8/5,pc/d,x1/10,s2,x7/13,s12,x5/3,s7,x13/9,s7,x2/0,pe/f,x7/9,s13,x13/15,pp/h,x0/8,pd/c,x11/15,s13,x7/5,pi/m,s13,x4/15,pp/b,x3/7,s14,x5/10,pc/f,x9/11,pe/h,x13/5,s13,x3/6,s8,x2/10,s4,x9/7,pb/j,x5/4,po/k,x7/3,s10,x10/14,s2,x2/13,ph/g,x11/15,s9,x14/12,pp/m,x15/5,pn/c,x14/7,pl/d,x5/11,s4,x3/10,pm/o,s3,x8/6,s14,x14/1,s6,x9/6,s6,x10/4,s11,x0/9,pi/h,x5/12,po/n,x8/3,pc/k,x12/14,pi/a,x0/3,s1,x5/10,pm/k,x3/13,s11,x2/11,s1,x13/5,s8,x3/2,pi/h,x12/13,pn/k,s15,x7/10,pi/b,x9/1,s1,x6/15,s1,pl/k,x7/8,pb/p,x15/5,s11,x13/11,s2,pm/o,s4,x2/5,s12,x14/11,pp/i,x3/6,s7,ph/g,x12/15,pp/d,x11/5,pj/g,x2/13,s6,x12/1,po/n,x2/10,s12,x0/8,s8,x6/1,pj/e,x10/5,s11,x4/6,s15,pp/c,x1/8,s11,po/g,x14/3,s8,x10/13,pd/h,x8/0,s14,x6/2,s8,x3/1,pp/i,x5/10,po/d,x11/9,ph/g,s2,x5/3,pc/e,x1/9,s4,x11/15,pb/n,x4/5,pe/i,x0/8,s6,x13/4,s1,x11/8,s12,x7/15,pn/c,x8/10,s15,x4/7,s15,x13/15,s2,x4/5,pb/j,x10/15,pd/a,s14,x5/6,s9,x15/12,s6,x8/7,pg/f,x3/12,s11,x11/10,s7,pk/l,x9/3,s11,x14/11,s3,x5/10,pp/e,x3/0,pm/n,x7/9,s8,x0/12,s11,x6/4,pd/h,s10,x11/5,s4,x2/9,s11,x0/7,s2,x15/11,s3,x0/4,s11,x13/15,pl/f,x3/10,s9,x9/2,s7,x0/14,s1,x11/9,s3,x2/8,pa/i,x10/12,s7,x7/13,pl/m,x11/0,pe/k,x3/15,po/m,x13/5,s14,x9/0,pf/d,x1/3,pa/e,x9/12,pc/l,x10/5,s10,x9/0,s6,x13/1,pf/j,x14/11,pk/h,x9/8,s15,x6/12,s7,x5/11,pa/c,x4/10,s10,x14/5,s13,x2/15,s7,x9/10,pd/i,x11/5,pc/g,x12/0,s7,x14/11,s7,x5/1,s13,x3/13,pl/f,x12/15,s5,x10/7,s4,x15/5,s14,x0/13,s14,x15/7,s13,x1/9,s9,pg/p,x15/6,s6,x0/2,s2,x1/8,s15,x6/4,s7,x5/9,s7,pd/o,x8/4,pl/m,x3/7,s1,x14/15,s11,x6/1,s8,x12/11,pc/d,x2/13,pk/j,x1/15,s1,x2/14,s12,pe/b,s7,x7/10,pn/k,x15/8,po/g,x11/14,pf/k,x13/5,pj/e,x1/4,s8,x9/8,ph/k,x6/5,s5,pg/e,s12,x1/7,pp/i,x4/14,pd/c,x10/12,pa/b,s3,x11/7,s12,x8/5,pp/e,x14/13,pd/b,x4/5,s12,x12/0,pl/i,x11/4,pc/k,x5/7,s5,x13/14,pe/n,x5/9,pa/m,x8/12,s6,x6/15,s4,x8/14,s9,pf/d,x2/1,pm/n,x7/4,s7,x1/13,ph/i,x5/4,s8,x13/1,s11,x6/5,s14,pn/o,x7/1,pi/e,x11/10,pb/d,x8/3,pf/a,s4,x5/12,pk/p,x7/13,s9,po/g,x8/15,pb/l,x9/13,s14,x3/1,pk/m,s4,pc/a,x4/12,s6,x11/0,po/f,x7/10,s2,x6/15,s13,x14/2,s8,x7/0,s8,x15/14,s11,x0/8,pd/a,x5/6,pi/m,x0/13,s5,x15/1,s1,x2/12,pl/g,x14/1,s2,x11/6,s5,x14/4,s2,x3/0,s3,x7/13,pc/h,x3/4,s6,x13/7,s8,x9/3,s5,x7/2,pd/f,x8/14,s4,x5/12,s8,x15/14,s9,x4/10,pp/e,x1/7,s14,x2/13,po/f,x7/11,s9,x6/0,s4,x8/12,s11,x9/13,s6,x4/5,s12,x0/6,s14,x11/13,pp/k,x4/9,po/i,x10/15,s11,x13/0,pc/b,x8/10,s3,x13/6,pj/i,x8/0,s10,x12/1,s9,x6/3,pl/m,x2/1,s2,x12/15,s3,x10/2,s9,x3/6,s13,x9/1,pk/b,x8/10,s4,x2/1,pm/l,x8/4,s10,x11/2,s14,x15/10,s15,x4/3,s11,x11/9,s1,x0/3,s6,x2/1,pk/d,x15/9,s1,x6/4,pb/o,x9/12,s2,pf/n,x4/10,s14,x13/3,ph/b,x0/9,s15,x12/5,po/f,x7/11,s15,x12/13,pg/j,x3/11,pb/i,x9/0,s13,x12/2,pn/h,x1/6,pg/i,x9/10,pn/m,x14/0,po/e,x1/10,s7,x4/5,s11,x10/14,pm/n,x3/6,s8,x15/7,s6,x6/9,s3,x14/2,pg/h,x12/3,s15,x10/5,s9,x6/15,pd/n,s8,x4/9,s10,x7/2,pl/p,x4/11,s7,x7/0,pg/c,x6/9,pk/n,x2/12,s3,x4/1,s3,x6/5,s2,x12/15,s7,x9/13,pm/c,x15/12,s13,x0/7,s2,x3/15,pn/a,x12/7,s7,x4/9,s13,x12/0,pl/m,s5,x14/3,s13,x11/0,pk/c,x9/6,s1,pj/f,x7/1,s3,x13/10,s1,pm/k,x11/5,s5,pf/d,x8/3,s5,x12/1,s2,x2/10,pe/k,x7/8,s15,pc/m,x2/13,pi/f,x9/14,s12,pb/l,x6/7,pp/o,x1/12,pa/m,x5/3,s3,x9/14,s12,x6/4,s12,x14/13,s12,x12/5,s13,x4/6,s5,x7/3,pj/p,x1/12,s14,x0/14,pa/f,x9/10,pl/o,s15,x6/3,s13,x11/5,s10,x7/2,s14,x3/13,s4,x7/8,s14,x13/4,s14,x11/5,pc/b,s10,x3/6,s10,x15/0,pm/p,x10/7,s9,x15/2,s4,x4/0,s4,x6/12,pi/g,x13/2,s4,x7/12,s6,x14/2,s6,x0/15,s10,x12/8,s12,x15/6,ph/e,x2/4,s11,x12/11,pc/f,x3/10,s4,x1/7,s3,x12/11,ph/e,x2/14,s15,x12/9,s9,x1/15,pb/c,x7/6,s7,x9/13,pd/e,x6/5,s10,x14/1,s5,x13/7,s1,x8/10,pp/g,x11/15,s13,pn/b,x10/9,po/c,x3/4,s10,x9/0,s8,x1/11,pj/h,x15/5,s11,x10/11,s5,x5/7,pl/e,x11/3,pk/c,x4/5,s11,x13/3,pm/l,s11,x10/9,pd/k,x14/0,po/c,x6/15,s10,x3/0,pl/j,x7/15,s10,x8/14,s2,x9/2,pm/b,x3/10,s13,pp/g,x12/8,pa/e,x9/6,po/n,x5/11,pg/b,x12/9,s6,x2/13,s6,x12/8,s7,x10/11,s6,x5/1,po/f,x6/15,pd/c,x4/9,s2,x2/6,s14,x3/13,pp/h,x2/4,pl/c,x0/10,po/k,x13/3,s2,pj/e,x10/7,ph/n,x6/15,pe/a,x7/11,pg/k,x6/13,s15,x2/12,pd/n,x13/3,s2,x14/11,s1,x13/5,pa/f,s9,x10/0,s3,x3/5,s1,x14/6,pp/d,x15/11,s12,x14/2,pf/i,x11/13,s15,pa/c,x15/10,s1,pf/n,x12/4,s9,x8/11,s5,x9/4,pa/o,x1/10,s14,x0/15,s5,x7/9,s3,x11/8,s3,x13/15,pi/b,x5/11,s13,x14/3,s13,x10/4,s13,x7/13,ph/e,x2/1,po/d,x5/12,pp/f,x15/13,pg/a,x14/6,pe/l,x5/2,s12,pj/f,x13/3,s10,x7/1,s12,x11/9,s1,x7/8,s3,x0/12,s15,x10/7,s13,x3/0,s10,x8/4,s14,x7/10,s12,x2/4,s5,x8/3,s11,x14/7,s12,pi/h,x12/4,s7,x15/3,s2,x0/11,pp/o,x9/7,pd/i,x3/13,pl/m,s11,x14/9,s12,x1/4,pk/o,x13/3,pn/b,x10/0,s14,x1/11,s5,x10/4,s7,x7/1,ph/i,x13/5,pl/c,x14/3,ph/e,x5/8,s6,x3/15,pd/p,x1/5,pa/c,x9/6,s3,x3/5,s15,x9/15,pp/n,s14,x13/8,s5,x14/10,s8,x0/7,pl/g,x13/5,pj/e,x3/9,s12,x6/12,po/n,x1/9,pp/b,x6/3,pj/n,x9/8,s13,x14/2,s5,x10/13,pk/l,x12/14,pj/c,x10/5,pl/p,x3/6,s10,x11/1,pj/e,x7/5,s9,x14/1,s5,x10/7,s14,x2/11,s2,x6/15,s4,x14/10,pk/l,x6/1,s12,pm/h,x11/10,pj/f,x3/12,pl/h,x2/8,s4,x5/1,pk/c,x11/9,pd/h,x1/10,s2,x0/11,s7,x2/5,pj/l,x12/0,s12,x14/8,po/g,x0/2,pi/p,x10/14,s5,x4/11,s10,x14/6,s8,x15/10,s12,x12/11,pe/f,x3/7,pd/a,x6/8,s7,x9/1,s10,x3/11,pf/h,x1/12,s15,x4/15,s15,x0/2,po/n,x5/15,s14,x11/8,s1,x3/13,pi/k,s10,pc/o,x14/10,s11,x5/4,s2,x14/1,pp/a,s12,x13/2,s14,pm/n,x1/0,s11,x14/7,s4,x11/13,pi/o,s1,x9/5,s3,x1/7,pc/k,x11/4,pn/i,x10/2,s1,pj/a,s1,x12/7,s9,x8/15,s14,x13/14,s1,x10/9,s6,x11/3,s13,x14/9,s5,x5/0,s4,x7/12,s13,x4/13,s8,x15/10,s1,x3/8,s12,x9/4,s3,x6/12,pm/k,x5/14,pd/n,x2/9,s8,x1/12,s12,x9/0,s6,x3/2,ph/i,x8/4,pb/p,s1,x2/13,s15,x4/0,s7,pn/k,x3/10,s5,x12/5,pi/c,x7/1,s3,x6/4,s14,x15/2,s15,x14/4,s1,x15/0,pl/b,x8/2,s12,x13/12,pj/i,x1/15,pc/n,x8/5,s1,x12/6,s10,x2/9,s4,x14/15,s7,x8/4,s13,x10/11,s14,pe/k,x6/8,pi/a,x12/0,s7,x15/1,pd/o,x10/13,s5,x14/0,s8,x10/1,pa/p,x11/8,s15,x15/9,s6,x11/3,pd/m,x2/8,s15,x12/7,po/e,x13/15,pi/n,x5/6,s8,x8/0,s6,x1/4,s7,x11/15,s6,x7/1,pp/h,s13,x13/15,s5,x11/2,s3,x0/12,po/n,x11/2,s5,x14/4,s13,x2/8,s8,x13/0,pm/j,x7/4,pl/b,x15/1,s14,x4/0,pp/e,s5,x13/9,s6,x5/8,pb/i,s7,x6/15,pk/a,x10/8,s15,x12/15,s12,pc/m,x9/1,pa/o,x15/10,s2,x13/9,pl/k,x8/15,pi/d,x14/12,pp/f,x1/8,pg/i,x15/3,s12,x7/13,s10,x11/3,pb/e,x1/0,pc/k,s12,x10/3,ph/n,x0/2,s14,x6/11,pa/k,x14/2,s7,x4/11,pj/b,x8/12,s14,x7/9,s6,x15/13,s13,x2/14,s8,x9/1,s2,x0/13,s10,x9/12,s15,x1/3,pa/e,x10/9,pp/n,x0/3,s6,x15/8,s13,x10/12,s15,x5/8,pf/e,x6/14,pb/h,x9/3,pg/c,x5/13,pd/i,x12/14,po/e,x3/13,s4,x10/11,pf/m,x12/15,ph/j,x4/1,s4,x12/13,s15,x15/3,s5,x1/11,s5,x9/12,pc/i,x3/15,pp/a,x1/4,s10,x11/13,s2,x15/1,s13,x14/5,s1,pc/f,x8/13,s8,pe/k,x7/0,s7,x10/11,pn/j,x13/7,s1,x12/10,s8,x15/2,pf/i,s1,x5/1,pl/h,x7/0,s11,pp/k,x15/13,pc/j,x6/9,pn/f,x12/1,s10,x8/15,s6,x13/0,s2,x3/10,pd/b,x9/8,s5,x3/11,pi/e,s13,x7/13,s14,pm/a,x14/10,s6,x0/4,s9,x12/2,pd/c,x10/9,s10,x6/15,pm/a,x9/13,pb/n,x0/11,pf/d,x14/12,s7,x9/3,s6,pa/n,s3,pi/c,x8/4,s10,x9/13,pe/f,x2/8,s12,x5/10,pm/i,x8/4,pe/g,s9,x1/6,s15,x10/5,pi/o,s3,x8/15,s1,x11/3,s9,x15/9,s8,pn/e,s12,x1/3,s2,x8/5,s3,ph/m,x6/14,pe/l,x3/13,po/k,x9/11,s12,x3/1,s12,x8/5,s6,x6/0,s12,x9/7,s15,x1/15,s8,x9/13,pb/h,x12/2,s1,x11/0,s10,x12/10,pc/a,x2/11,pe/b,s3,x8/5,pk/g,x7/0,pm/n,x6/8,s10,x9/10,s12,x13/1,pf/b,x4/12,pi/l,s6,x9/3,s3,x7/4,pd/h,x2/6,s7,x0/15,s11,pg/p,x8/6,s13,x4/15,s5,x7/10,s6,pk/f,x9/4,s14,x12/5,s2,pi/h,s11,x14/3,pn/f,s14,x13/15,s15,x10/3,s1,x11/13,pi/h,x15/10,s11,x14/13,pj/m,x11/5,s8,x4/2,pk/p,x7/12,s5,x5/0,pj/l,s4,x13/1,s5,x5/15,s11,x7/10,pc/d,x2/11,s3,x15/5,s4,pl/o,x10/3,s14,x8/4,s14,x0/14,s9,x7/3,s4,x6/12,pe/m,s2,x11/10,s11,x13/5,pp/n,s14,x11/10,s6,x4/5,s1,x3/9,pi/e,x2/8,s9,pk/h,x15/9,pd/e,x2/14,s7,x1/0,pf/p,x15/13,pm/b,x11/1,s8,x9/3,pf/g,x7/2,pi/n,x13/3,s7,x5/9,s9,x1/3,s9,x7/4,s2,x12/5,s14,x6/8,pj/l,x15/9,s4,x6/11,po/e,x9/1,s2,x14/8,s3,x0/10,s10,x4/11,s3,x10/6,pi/b,s15,pm/o,x15/12,s15,x10/13,s14,x11/8,s4,x10/7,pk/p,x11/12,pi/g,x7/14,s12,x9/15,s12,x6/7,s5,ph/l,x1/4,pp/d,s13,pb/a,x8/10,pk/e,s7,x9/14,pa/g,x5/3,s10,x11/8,s8,x6/4,s6,x13/10,s6,x6/14,s14,x12/2,pd/p,x10/3,s8,x6/9,s5,x7/1,po/m,s14,x15/10,pi/n,x13/14,s12,x15/10,s8,x12/14,s12,x5/10,s12,x12/13,pe/j,s9,x9/8,pa/b,x10/1,s12,x9/5,s5,x14/3,pk/c,x13/7,pp/h,x6/2,pd/f,x0/8,s8,x10/13,s7,x0/14,s5,x9/3,pn/g,x11/10,s1,x12/4,pe/f,x11/14,s4,x4/6,pb/c,x7/11,s7,x1/13,s5,x4/14,s1,x8/5,s14,x15/12,po/f,x4/11,s9,x8/10,s6,x9/12,s9,x15/6,s12,x11/3,s6,x13/5,s8,x0/3,s7,x7/15,s15,x0/13,pm/d,x3/12,pn/k,x6/4,s15,x13/9,pl/p,x5/2,s13,x15/0,s11,x4/10,s3,x3/2,s7,x15/11,pc/m,x6/2,s12,x13/1,s6,x11/12,pe/d,x8/5,pa/f,x0/7,pl/d,x2/6,s2,x5/3,s11,x4/2,pe/p,x15/14,s15,x4/13,pd/o,x12/2,pc/i,x5/3,s15,x8/7,s6,x15/13,s9,x11/7,s7,x5/14,pl/m,x11/13,pj/a,s7,x7/2,s3,x5/15,s12,x6/4,s4,x14/2,pc/e,x9/5,s15,x4/15,pl/p,x11/12,s3,x14/4,ph/e,x2/11,s8,x15/1,s4,x6/8,s2,x11/10,s8,x1/5,s8,x3/15,s14,pg/l,x7/1,pm/k,x12/11,pc/n,s3,x0/8,pk/p,x14/9,s15,x10/0,pn/c,x14/5,pp/e,x9/13,s8,x3/11,s8,x1/9,s10,x15/13,pl/i,x6/4,s8,x15/10,s11,x13/4,s3,x15/11,s5,x5/9,s3,x13/11,s2,x3/10,pj/g,x7/13,s10,x0/1,pm/a,x14/3,s6,x6/0,pg/c,x2/10,pj/d,s1,x0/7,pb/e,x9/12,s2,x5/11,pl/g,x12/4,po/e,x13/11,pi/a,x5/7,s5,x13/3,pg/b,x6/12,s14,x4/14,s13,x11/9,s8,x3/13,s5,x15/1,s2,x6/0,s8,x4/12,pm/n,x11/9,pa/h,x4/5,s4,x11/8,pi/b,s4,x5/2,pg/h,x6/13,s1,x2/3,pk/a,x0/11,pd/b,x7/8,s7,x9/11,pe/h,s15,x12/0,s3,x2/14,pj/i,x1/13,s13,x2/7,s10,x15/11,pc/b,s11,x5/12,s4,x8/2,pf/h,x9/5,s4,po/p,x14/11,s10,x9/12,pi/e,x8/7,pb/g,x15/9,pc/k,x8/12,pb/g,s11,x4/1,s9,x0/13,pl/j,x4/5,pi/m,x6/2,s7,x3/5,pj/h,x6/4,s10,x8/1,pi/e,x11/12,s11,x5/7,pj/d,s11,x0/14,pp/l,x7/13,pj/e,s6,x5/8,pl/d,x3/11,s15,x5/0,s9,x14/10,s1,pp/i,x7/6,s12,x14/1,pb/f,x8/2,s8,x1/10,s13,x3/13,s10,x0/7,pa/l,x9/12,po/c,s4,x14/13,s1,x11/1,s15,x9/10,s3,x3/5,s12,x1/0,pa/h,x3/14,pj/o,x15/4,pf/i,s4,x2/13,s1,x14/6,s13,x8/2,s6,x5/0,s12,pn/d,x2/1,s14,ph/l,x3/12,s13,x14/4,s4,x3/11,pf/k,x8/2,pd/g,x4/11,s5,x12/9,pl/o,x4/14,pf/i,s12,x9/6,po/g,x10/5,s13,x1/4,s5,x6/13,pk/d,x5/3,pm/o,x12/13,ph/d,x6/15,pp/i,x1/12,s4,x10/13,s4,x0/11,s6,x10/6,s15,x4/14,s7,x2/7,s2,x13/14,s8,x8/10,s3,x11/9,s15,x7/6,pg/c,x15/1,s11,pe/o,x2/4,s2,x10/3,s5,x14/13,pn/j,s9,x12/11,pk/o,x9/6,s6,x13/10,s12,x4/2,pi/f,x0/10,s9,x14/1,s13,x7/5,pa/n,x14/8,pe/l,x12/2,s4,x13/8,s11,x2/12,pk/g,x8/11,s5,x0/1,pe/c,x10/5,s14,x14/0,s5,pd/m,x7/1,pc/a,x9/5,pe/f,x14/11,pd/c,s9,x1/13,s1,x6/12,pp/b,x8/15,pi/l,x12/10,s14,pe/p,x7/9,s10,x11/5,s7,x14/9,s6,x2/1,s1,x9/8,s4,x3/5,pl/b,x8/10,s10,x7/2,s9,x14/12,s2,x10/1,s4,x6/15,s6,x3/5,s5,x4/8,s10,x5/11,pk/a,x8/9,s9,x11/5,s11,x1/3,s9,x11/10,s9,pj/c,x12/5,s13,pe/m,x8/11,pb/d,x1/6,s5,x14/8,pl/h,x11/12,s9,x4/10,s11,x15/8,s3,x13/3,s8,pm/b,x12/15,s1,x13/3,po/a,s12,x8/2,pc/b,x11/12,pa/d,s4,x9/4,s13,x3/0,s9,x5/11,s12,x12/9,s3,x14/8,po/m,x3/7,s3,x14/13,s13,x6/3,pg/i,x14/5,s8,x0/1,pl/e,x10/15,s8,pm/i,x5/0,s13,ph/e,x11/4,s7,x0/15,s5,x11/5,pb/j,x4/12,s7,x11/6,s8,x10/15,s15,x8/13,s2,x10/12,s10,pn/e,x4/14,s11,x7/3,s2,x12/2,s12,x3/0,s8,x7/6,s4,x12/0,s13,x14/15,s10,ph/f,s8,x12/2,s6,x7/4,s6,x10/12,pl/b,s12,x13/6,pf/e,s12,x15/12,pm/a,x4/13,s11,x7/0,pc/g,x3/13,s15,x0/1,s4,x14/13,pi/a,x1/7,s14,x2/14,pe/b,x13/7,pa/c,x3/14,pj/p,x13/1,s5,x8/12,s15,pa/n,s10,x13/1,s9,x12/7,s7,x0/2,s5,x3/5,s15,x14/7,s15,x1/4,s14,x3/0,s3,x15/6,po/b,x10/1,s5,x2/15,pf/m,x13/0,s7,x8/7,po/p,x2/9,s2,x4/3,pd/m,x12/2,pj/e,x15/7,s5,x14/3,pg/m,s6,po/f,x0/1,pn/a,x10/13,s13,x1/15,s4,x4/9,s15,x11/3,pi/c,x4/2,s1,x10/8,pp/k,x5/11,s4,x6/15,s15,x1/0,s3,x13/2,s11,x10/5,s5,x11/0,s12,x1/6,ph/c,x8/3,po/e,x11/7,s13,x13/15,pm/c,x10/0,s15,x15/3,s11,x10/8,s8,x11/12,pp/g,x15/0,pc/f,x7/12,pd/k,x8/4,s5,x14/10,s5,pp/f,x4/6,pl/k,x2/3,pd/f,x9/13,pp/g,x3/0,s11,x7/6,s3,x9/15,pl/n,s10,x4/0,s11,x3/12,s7,x1/9,s15,x3/13,po/e,x10/7,s10,x2/4,s8,x12/0,s5,x7/1,pb/n,x15/5,pg/o,x0/13,s8,x11/3,pj/n,x5/8,s7,x2/15,s3,x7/10,s11,x13/0,s11,x2/5,ph/p,s12,x10/11,pj/g,s15,pd/m,x7/6,s11,x15/14,s8,x2/1,s3,x7/14,pb/n,x0/15,s9,x5/2,s13,pl/g,x8/0,s15,x7/9,s11,x1/13,s3,x3/0,pf/m,x15/9,pc/h,x13/3,s2,x6/0,s10,x11/7,s5,pe/j,x4/9,s1,x6/1,s6,x14/15,s9,x8/6,s7,x14/1,s4,x15/12,pf/i,x1/8,s10,x13/12,s15,x15/11,pd/g,x3/12,s1,x9/8,pl/i,x0/7,s14,x2/15,s6,x8/12,pc/g,x13/7,pn/o,x5/10,pf/h,x12/13,s12,pj/o,x14/10,s5,x7/11,pl/h,s14,x10/5,s1,pc/e,x1/6,s2,x14/8,ph/g,x4/12,s10,x6/10,s10,x4/14,pi/k,x13/6,s6,x11/0,pm/b,x5/14,s5,x2/1,s15,x5/8,s2,x6/0,pa/l,x2/9,s9,x3/7,s7,pc/p,x10/15,pa/n,s15,x9/3,s13,x8/5,pl/m,x7/11,s4,x10/4,s9,x14/12,s2,x1/2,s2,x13/6,pj/e,x5/12,s13,pl/m,x3/9,s15,x4/1,s11,x13/2,s13,x9/1,pb/a,x4/2,pp/j,s8,x15/5,po/c,s10,x3/2,s15,x6/14,s15,x5/1,s9,x3/11,s3,x10/15,s15,x14/7,pk/l,x5/15,s4,x7/10,s15,pn/o,x14/13,ph/f,x2/4,pd/p,s2,x12/11,pg/h,x10/4,pm/f,x1/14,po/e,x13/5,s6,x14/7,s12,x15/2,s1,x10/0,s14,x11/12,pi/j,x13/15,pn/a,x14/9,s10,x5/7,pp/i,x0/8,s8,x12/11,s4,x14/2,s8,pm/o,x4/1,s9,x8/5,pa/p,x15/3,s11,x6/11,pm/o,x15/5,s14,x6/9,s10,x15/4,s11,x13/6,s7,x10/12,s1,x13/0,s5,x15/12,pi/c,s5,x11/2,pa/j,x3/6,pm/g,x12/1,s12,x9/7,pk/f,x3/0,s2,x2/11,s9,x10/0,s2,x6/7,pp/d,x0/11,s4,x14/9,s7,x1/12,s3,x15/11,pj/m,x9/10,s15,x5/4,s4,x1/13,pc/e,x9/12,pf/g,x7/5,pl/e,x6/14,pd/f,x5/0,pc/h,x2/15,s8,x0/8,s9,x14/9,s11,pg/k,x2/10,s15,x9/0,s7,pc/j,x6/11,s7,x7/0,pm/l,x6/14,s13,x8/11,s4,x3/4,pc/i,x15/9,s2,pl/a,x3/11,s10,x7/2,s12,x15/0,s1,x13/9,s4,x1/5,s1,x10/3,s9,x4/0,pk/o,x3/8,s14,x10/11,pd/c,s13,x4/6,s4,x9/10,pg/i,x8/5,s3,x0/4,pp/o,x8/6,pk/m,x1/10,pi/e,x12/3,po/m,x14/0,s14,x7/12,s8,x0/14,s8,pi/h,s10,pe/f,x4/9,s10,x5/15,s1,x4/8,pj/k,x10/11,pl/f,x2/0,s10,x1/3,s15,x9/6,pk/m,x10/11,ph/d,s7,x13/8,pl/o,x5/0,pa/e,x12/2,ph/i,x6/10,s7,x9/0,pp/j,x12/7,s11,x15/3,s11,pc/a,x14/11,s14,x15/5,pl/e,x13/6,s2,x5/0,pn/g,x11/2,s13,x15/9,s11,x10/8,s10,x9/5,pi/d,x11/0,s4,x9/10,s12,x15/3,pk/l,x8/13,pi/h,x3/1,pb/a,x9/0,s10,x15/7,pp/g,x11/14,s11,x0/6,pj/f,s8,x1/2,s6,x10/8,pg/k,x13/4,po/m,s8,x8/7,s9,x13/5,pp/n,x3/12,s14,x6/1,pb/h,x14/3,pi/p,x6/10,pc/f,x3/11,s1,x5/12,pk/o,s11,x9/7,s4,x5/2,pf/a,s13,x12/6,s9,x5/4,s5,x8/15,s8,x2/9,s15,x12/13,s13,x11/0,s12,x2/8,pg/k,x5/0,pj/c,x13/2,s1,x8/0,s15,x10/13,s3,pg/i,x11/0,pl/j,x7/9,s7,x1/10,s5,x5/8,pn/p,x2/15,s12,x7/13,s6,x14/0,s1,x5/6,s4,x9/3,pl/o,x8/1,pf/m,x10/0,s8,x11/6,pe/l,x9/1,s10,x0/6,ph/k,x13/9,s5,x12/15,pl/i,x6/13,pf/g,s8,x4/14,pe/b,x3/9,pi/o,x10/11,pf/j,x7/14,s9,x11/2,s5,x0/6,pl/a,x12/14,s6,x11/0,s9,x13/10,s3,pb/i,x8/14,s15,x9/3,s13,x10/4,s5,x7/0,pc/o,x2/11,s5,pj/p,x6/14,s10,x7/13,pa/e,x8/5,s11,x1/14,s15,x3/7,s13,pi/n,x14/12,pl/o,x7/1,pp/e,x3/12,pl/o,s15,x14/13,s12,x6/1,pg/k,x0/5,s14,x7/15,s6,x5/13,s12,x3/11,pm/j,x14/10,ph/g,x2/12,s1,pl/m,x9/5,s14,x4/7,s11,x3/0,s12,x12/7,s4,x10/4,s6,x8/11,ph/o,x10/5,s5,x7/13,s13,x10/9,pk/l,x3/7,pc/b,x15/12,pg/j,x11/4,pm/o,s7,x0/15,ph/n,x7/4,s12,x9/12,pc/k,s13,x0/6,pf/l,x11/9,s12,x14/0,s4,x7/6,s6,x2/0,po/m,x4/14,s4,x11/6,pj/p,x7/15,ph/k,x5/14,pc/f,x9/0,s10,x12/10,s15,x3/11,pp/o,x12/0,s13,x6/3,s4,x11/0,pa/m,s12,x2/8,pc/h,x7/9,pe/n,x3/8,pa/g,x14/9,pd/l,x10/15,s14,x5/9,s1,x14/12,ph/i,x1/4,pn/a,s4,x12/0,ph/l,x10/8,s8,x5/11,s6,x9/12,s5,x1/13,s3,x9/3,pm/f,x11/8,s2,x2/6,pg/h,x12/14,s5,x2/11,pd/c,x7/0,s12,x12/13,s3,x14/10,ph/e,x0/13,s1,x1/3,s9,x7/11,s11,x4/2,pn/a,x8/7,pp/j,x1/10,s13,x3/15,pl/m,s11,x0/6,pd/o,s13,x14/11,s9,x10/7,s9,pj/e,x9/11,pd/n,x2/4,ph/o,x14/3,pk/d,x8/7,pl/j,x4/12,pn/c,x9/15,pp/b,x14/3,pf/l,x11/8,po/e,x5/12,s14,x6/7,s11,x12/9,s7,x7/3,s3,x5/15,s5,x13/14,s1,x2/7,pn/m,x1/12,pa/e,x5/8,pi/h,x2/13,s3,x14/15,s8,x12/2,s6,x4/11,s13,x1/2,po/k,x12/3,s11,x0/8,pp/d,x5/7,s11,x10/3,pn/h,x12/5,s7,x0/10,s8,x4/9,s11,x0/6,s8,x9/8,pe/c,x11/10,pg/h,s8,x15/5,s4,x2/4,s12,x3/15,s11,x6/12,pc/b,x7/10,s2,x12/6,s2,x9/5,s4,x11/12,s15,x10/2,pd/p,x12/5,s11,x4/6,pl/k,s7,x12/3,s12,x5/6,s7,x2/10,s11,x8/4,s2,pp/c,x14/3,pl/b,x10/4,s7,x1/15,s15,pi/n,s10,x6/4,s5,x15/11,pg/b,x6/3,pk/a,s8,pm/h,s2,x0/13,pb/i,s5,x4/7,s3,x12/10,s10,x6/14,s9,x7/11,s8,x15/12,pm/p,x5/4,pd/h,x6/14,s9,x11/13,s10,x0/4,pj/p,x5/10,po/f,x2/11,pb/d,x13/3,s13,x4/0,s6,x3/9,s6,x6/0,s6,x13/9,s3,x8/3,pk/o,x2/0,pc/b,x4/15,pn/a,x10/14,s10,x8/3,s2,ph/j,x9/6,po/d,x11/12,s6,x10/15,s14,x0/2,pi/c,x15/5,pj/g,x2/10,pf/b,x1/9,s11,x0/3,s10,pg/p,x2/9,ph/l,x5/11,s2,pg/e,x10/12,s9,x0/3,s10,x14/8,pm/p,x13/12,s1,x3/11,s13,x5/15,s11,x8/2,s3,x7/12,s7,x3/9,pa/i,x0/5,pm/k,x2/15,pc/e,x10/0,s1,x3/1,pd/k,x2/12,s12,x13/10,s3,x14/9,s2,x5/8,pm/g,s15,x15/14,s14,pk/n,x8/6,pe/m,x5/9,pi/g,x8/14,s13,x0/10,pj/a,x9/11,pi/c,x0/1,po/e,x12/13,s5,x1/14,s6,x3/12,s11,x6/2,pi/l,x15/0,pf/k,x2/11,s6,x8/0,pc/l,s15,x1/3,s9,x13/6,pb/a,x7/10,s13,x15/6,s3,x0/13,s13,x2/3,po/c,x6/12,ph/l,s10,x2/10,s1,x15/11,pp/j,x7/12,s7,x11/4,s9,x15/6,s7,x14/7,s3,x5/9,s9,x15/2,s3,x8/12,s8,x13/11,s2,x0/12,pi/a,s1,x11/9,pn/p,x2/8,s6,x1/3,pd/j,x9/14,pa/i,x2/4,s10,x0/12,pd/p,x9/7,s4,x5/12,s14,x4/10,s2,x6/2,pc/j,x8/3,s8,x2/1,s12,x13/15,s14,x10/7,pm/e,x3/1,pa/f,x10/15,pc/p,s1,x5/2,s13,x8/9,s6,x13/15,pa/e,x12/7,s2,x1/13,s2,x6/5,po/j,s15,x9/12,s6,x8/15,s14,x5/2,s11,x14/1,s5,x6/5,pm/g,x2/9,pl/n,s13,x11/5,s2,x12/4,pk/g,x14/3,ph/l,x13/12,s5,x1/14,pa/i,x12/11,s13,x15/3,pb/d,x6/8,s7,x12/7,pg/j,x10/14,s10,x3/4,s9,x11/7,pp/l,x0/13,s15,x12/14,pd/m,x10/3,s15,x14/4,pc/a,x1/13,pg/k,x15/11,s15,x5/13,pj/f,s1,x0/2,pd/n,x11/14,s12,pl/f,x0/4,pc/k,x6/3,s11,x8/13,s5,x5/2,s6,x13/3,s11,x14/8,s4,x9/3,s9,x0/2,s13,x8/11,pe/o,x5/12,s4,x14/0,s2,x12/15,s12,x9/13,s3,x0/7,pf/c,x9/5,pb/i,s8,x6/15,ph/o,x11/4,s2,x2/0,s6,pd/g,x3/12,s5,x10/14,s13,x3/8,s10,x4/10,pm/h,x2/11,s4,x15/8,s6,x10/6,pi/e,x15/3,s6,x11/12,s14,x5/3,pg/d,s4,pl/b,x2/0,po/e,x13/14,pn/k,x2/7,s13,x5/1,s6,x11/0,s12,x3/13,s15,x5/14,pg/e,x0/1,s13,x3/13,s10,pd/o,x12/11,pc/m,x13/1,ph/o,x14/8,s4,x1/5,s11,x3/12,s2,pa/f,x9/8,pb/k,s13,x7/13,pe/n,x15/9,pb/a,x1/14,s2,pl/p,x10/8,pi/e,x7/3,s14,x0/14,s3,x11/12,s9,x10/6,s10,x15/0,s11,x6/10,s3,pc/m,x2/1,s12,x10/8,po/d,s1,x1/0,s14,pj/g,x3/8,s5,x10/4,s12,x9/11,pm/d,x15/2,pb/h,x7/1,po/i,s9,x0/8,pe/f,x7/9,s9,x8/1,pb/a,x4/14,s4,pe/m,x2/5,s6,x12/8,pa/o,x7/5,pj/n,s7,x12/0,pi/m,s5,x14/13,s8,x2/0,pg/f,x12/4,pm/j,s13,x8/5,s12,x11/1,s3,x2/6,pa/n,x5/3,s7,x10/2,pc/g,x11/9,pl/p,x8/13,pm/c,s10,x6/12,s11,x5/11,s10,x9/6,s9,x13/8,s7,x3/6,s7,x10/2,s1,x11/15,s9,pi/p,s4,x10/7,pj/d,x4/5,s7,x8/15,ph/f,x4/0,s10,x12/6,pj/i,x9/2,pm/k,x8/4,s15,x0/2,s14,x4/6,s12,x7/10,pe/n,x9/4,s11,x13/7,s2,pf/c,x3/15,pi/o,x10/5,s5,pf/c,x12/11,s2,x0/5,s8,x3/6,s5,x13/10,s6,x0/14,s15,x2/3,s14,x6/10,s14,x13/7,s7,x14/8,pa/o,x2/4,pj/e,x7/5,s13,x11/15,s4,x3/8,pc/k,x2/11,s8,x6/1,po/i,x11/8,s14,x5/9,s8,x11/14,s7,x3/7,s6,pf/p,x1/6,po/m,x13/5,s6,x9/8,s12,pi/a,x10/11,s8,x1/0,po/l,x10/8,s7,x1/13,s7,x5/0,pj/k,x7/14,s2,x13/4,pg/h,x8/2,po/k,x9/3,s14,x5/15,s3,x6/1,s3,x14/9,pj/p,x7/5,pg/e,x0/13,ph/n,x3/6,pl/p,x10/0,s9,x3/14,s2,x12/8,s9,x4/7,s6,x8/0,s13,x13/7,pb/m,x11/6,s5,x13/4,pe/p,x3/6,s15,x15/5,s1,pm/h,x9/1,pi/d,s7,x15/14,pn/l,x3/9,s8,x2/1,s14,x3/8,pi/e,x6/10,pa/h,x9/11,s6,x0/14,po/e,s1,x12/11,pd/h,x0/1,pm/o,x4/14,pp/k,s5,x9/8,s15,x11/15,po/d,x14/5,s10,x12/6,s5,x4/2,pp/n,x8/11,s4,x15/7,pf/l,x14/12,s8,pp/d,x10/9,pe/c,x15/14,pn/o,x12/2,pb/f,x1/11,s5,x3/8,pj/i,x7/5,s7,x9/8,s4,x12/15,s13,x6/13,pm/o,x5/2,pg/h,x13/9,s14,x4/11,s10,x1/12,s9,pc/i,x10/5,s14,x2/1,pa/b,x9/15,s4,x12/8,s11,x3/4,s13,x0/10,pp/i,x14/15,s13,x2/8,s8,x12/10,pc/o,x1/4,pa/k,x0/9,s13,pl/j,x8/15,s4,x10/2,s10,x0/12,s15,x7/8,pa/d,x3/12,pn/k,x14/8,s8,x0/15,s3,x11/10,s15,x2/3,s11,x11/14,ph/f,x1/0,s2,x6/10,s3,x0/12,s11,x7/8,s11,x0/12,s12,x9/14,pn/p,x0/5,s8,x2/11,s14,x5/9,s1,x8/7,s9,x9/15,pd/i,s15,x10/13,pa/m,s5,x11/9,pj/p,x8/3,s12,x12/1,pg/i,x15/14,s8,x13/6,pe/o,x10/2,s14,x12/4,s13,x9/0,pi/b,x15/13,s15,pg/p,x11/10,po/l,x14/4,s13,x7/8,pj/d,x14/4,s15,x5/1,s4,x13/8,pn/k,s6,x9/15,s12,x6/7,s11,x1/0,ph/c,x13/15,pf/a,s8,x0/7,pk/n,s9,x1/8,s11,x3/12,s11,x15/10,s14,x9/14,pe/i,x11/6
    """.trimIndent()
}